/**
 * Any new action type should be added to the set of exports below, with the
 * value mirroring its exported name.
 *
 * Please keep this list alphabetized!
 *
 * Unsure how to name an action type? Refer to our guidelines:
 *  - https://wpcalypso.wordpress.com/devdocs/docs/our-approach-to-data.md#actions
 */
export const ACCOUNT_CLOSE = 'ACCOUNT_CLOSE';
export const ACCOUNT_CLOSE_SUCCESS = 'ACCOUNT_CLOSE_SUCCESS';
export const ACCOUNT_RECOVERY_RESET_OPTIONS_ERROR = 'ACCOUNT_RECOVERY_RESET_OPTIONS_ERROR';
export const ACCOUNT_RECOVERY_RESET_OPTIONS_RECEIVE = 'ACCOUNT_RECOVERY_RESET_OPTIONS_RECEIVE';
export const ACCOUNT_RECOVERY_RESET_OPTIONS_REQUEST = 'ACCOUNT_RECOVERY_RESET_OPTIONS_REQUEST';
export const ACCOUNT_RECOVERY_RESET_PASSWORD_REQUEST = 'ACCOUNT_RECOVERY_RESET_PASSWORD_REQUEST';
export const ACCOUNT_RECOVERY_RESET_PASSWORD_REQUEST_ERROR =
	'ACCOUNT_RECOVERY_RESET_PASSWORD_REQUEST_ERROR';
export const ACCOUNT_RECOVERY_RESET_PASSWORD_REQUEST_SUCCESS =
	'ACCOUNT_RECOVERY_RESET_PASSWORD_REQUEST_SUCCESS';
export const ACCOUNT_RECOVERY_RESET_REQUEST = 'ACCOUNT_RECOVERY_RESET_REQUEST';
export const ACCOUNT_RECOVERY_RESET_REQUEST_ERROR = 'ACCOUNT_RECOVERY_RESET_REQUEST_ERROR';
export const ACCOUNT_RECOVERY_RESET_REQUEST_SUCCESS = 'ACCOUNT_RECOVERY_RESET_REQUEST_SUCCESS';
export const ACCOUNT_RECOVERY_RESET_SET_METHOD = 'ACCOUNT_RECOVERY_RESET_SET_METHOD';
export const ACCOUNT_RECOVERY_RESET_SET_VALIDATION_KEY =
	'ACCOUNT_RECOVERY_RESET_SET_VALIDATION_KEY';
export const ACCOUNT_RECOVERY_RESET_UPDATE_USER_DATA = 'ACCOUNT_RECOVERY_RESET_UPDATE_USER_DATA';
export const ACCOUNT_RECOVERY_RESET_VALIDATE_REQUEST = 'ACCOUNT_RECOVERY_RESET_VALIDATE_REQUEST';
export const ACCOUNT_RECOVERY_RESET_VALIDATE_REQUEST_ERROR =
	'ACCOUNT_RECOVERY_RESET_VALIDATE_REQUEST_ERROR';
export const ACCOUNT_RECOVERY_RESET_VALIDATE_REQUEST_SUCCESS =
	'ACCOUNT_RECOVERY_RESET_VALIDATE_REQUEST_SUCCESS';
export const ACCOUNT_RECOVERY_SETTINGS_DELETE = 'ACCOUNT_RECOVERY_SETTINGS_DELETE';
export const ACCOUNT_RECOVERY_SETTINGS_DELETE_FAILED = 'ACCOUNT_RECOVERY_SETTINGS_DELETE_FAILED';
export const ACCOUNT_RECOVERY_SETTINGS_DELETE_SUCCESS = 'ACCOUNT_RECOVERY_SETTINGS_DELETE_SUCCESS';
export const ACCOUNT_RECOVERY_SETTINGS_FETCH = 'ACCOUNT_RECOVERY_SETTINGS_FETCH';
export const ACCOUNT_RECOVERY_SETTINGS_FETCH_FAILED = 'ACCOUNT_RECOVERY_SETTINGS_FETCH_FAILED';
export const ACCOUNT_RECOVERY_SETTINGS_FETCH_SUCCESS = 'ACCOUNT_RECOVERY_SETTINGS_FETCH_SUCCESS';
export const ACCOUNT_RECOVERY_SETTINGS_RESEND_VALIDATION =
	'ACCOUNT_RECOVERY_SETTINGS_RESEND_VALIDATION';
export const ACCOUNT_RECOVERY_SETTINGS_RESEND_VALIDATION_FAILED =
	'ACCOUNT_RECOVERY_SETTINGS_RESEND_VALIDATION_FAILED';
export const ACCOUNT_RECOVERY_SETTINGS_RESEND_VALIDATION_SUCCESS =
	'ACCOUNT_RECOVERY_SETTINGS_RESEND_VALIDATION_SUCCESS';
export const ACCOUNT_RECOVERY_SETTINGS_UPDATE = 'ACCOUNT_RECOVERY_SETTINGS_UPDATE';
export const ACCOUNT_RECOVERY_SETTINGS_UPDATE_FAILED = 'ACCOUNT_RECOVERY_SETTINGS_UPDATE_FAILED';
export const ACCOUNT_RECOVERY_SETTINGS_UPDATE_SUCCESS = 'ACCOUNT_RECOVERY_SETTINGS_UPDATE_SUCCESS';
export const ACCOUNT_RECOVERY_SETTINGS_VALIDATE_PHONE = 'ACCOUNT_RECOVERY_SETTINGS_VALIDATE_PHONE';
export const ACCOUNT_RECOVERY_SETTINGS_VALIDATE_PHONE_FAILED =
	'ACCOUNT_RECOVERY_SETTINGS_VALIDATE_PHONE_FAILED';
export const ACCOUNT_RECOVERY_SETTINGS_VALIDATE_PHONE_SUCCESS =
	'ACCOUNT_RECOVERY_SETTINGS_VALIDATE_PHONE_SUCCESS';
export const ACTIVE_PROMOTIONS_RECEIVE = 'ACTIVE_PROMOTIONS_RECEIVE';
export const ACTIVE_PROMOTIONS_REQUEST = 'ACTIVE_PROMOTIONS_REQUEST';
export const ACTIVE_PROMOTIONS_REQUEST_SUCCESS = 'ACTIVE_PROMOTIONS_REQUEST_SUCCESS';
export const ACTIVE_PROMOTIONS_REQUEST_FAILURE = 'ACTIVE_PROMOTIONS_REQUEST_FAILURE';
export const ACTIVITY_LOG_FILTER_UPDATE = 'ACTIVITY_LOG_FILTER_UPDATE';
export const ACTIVITY_LOG_FILTER_SET = 'ACTIVITY_LOG_FILTER_SET';
export const ADMIN_MENU_REQUEST = 'ADMIN_MENU_REQUEST';
export const ADMIN_MENU_RECEIVE = 'ADMIN_MENU_RECEIVE';
export const ALL_DOMAINS_REQUEST = 'ALL_DOMAINS_REQUEST';
export const ALL_DOMAINS_REQUEST_FAILURE = 'ALL_DOMAINS_REQUEST_FAILURE';
export const ALL_DOMAINS_REQUEST_SUCCESS = 'ALL_DOMAINS_REQUEST_SUCCESS';
export const ANALYTICS_EVENT_RECORD = 'ANALYTICS_EVENT_RECORD';
export const ANALYTICS_MULTI_TRACK = 'ANALYTICS_MULTI_TRACK';
export const ANALYTICS_PAGE_VIEW_RECORD = 'ANALYTICS_PAGE_VIEW_RECORD';
export const ANALYTICS_STAT_BUMP = 'ANALYTICS_STAT_BUMP';
export const ANALYTICS_TRACKING_ON = 'ANALYTICS_TRACKING_ON';
export const ANALYTICS_TRACKS_OPT_OUT = 'ANALYTICS_TRACKS_OPT_OUT';
export const APPLICATION_PASSWORD_CREATE = 'APPLICATION_PASSWORD_CREATE';
export const APPLICATION_PASSWORD_CREATE_SUCCESS = 'APPLICATION_PASSWORD_CREATE_SUCCESS';
export const APPLICATION_PASSWORD_DELETE = 'APPLICATION_PASSWORD_DELETE';
export const APPLICATION_PASSWORD_DELETE_SUCCESS = 'APPLICATION_PASSWORD_DELETE_SUCCESS';
export const APPLICATION_PASSWORD_NEW_CLEAR = 'APPLICATION_PASSWORD_NEW_CLEAR';
export const APPLICATION_PASSWORDS_RECEIVE = 'APPLICATION_PASSWORDS_RECEIVE';
export const APPLICATION_PASSWORDS_REQUEST = 'APPLICATION_PASSWORDS_REQUEST';
export const APPLY_STORED_STATE = 'APPLY_STORED_STATE';
export const AUTOMATED_TRANSFER_ELIGIBILITY_REQUEST = 'AUTOMATED_TRANSFER_ELIGIBILITY_REQUEST';
export const AUTOMATED_TRANSFER_ELIGIBILITY_UPDATE = 'AUTOMATED_TRANSFER_ELIGIBILITY_UPDATE';
export const AUTOMATED_TRANSFER_INITIATE_WITH_PLUGIN_ZIP =
	'AUTOMATED_TRANSFER_INITIATE_WITH_PLUGIN_ZIP';
export const AUTOMATED_TRANSFER_STATUS_REQUEST = 'AUTOMATED_TRANSFER_STATUS_REQUEST';
export const AUTOMATED_TRANSFER_STATUS_REQUEST_FAILURE =
	'AUTOMATED_TRANSFER_STATUS_REQUEST_FAILURE';
export const AUTOMATED_TRANSFER_STATUS_SET = 'AUTOMATED_TRANSFER_STATUS_SET';
export const ATOMIC_TRANSFER_REQUEST = 'ATOMIC_TRANSFER_REQUEST';
export const ATOMIC_TRANSFER_REQUEST_FAILURE = 'ATOMIC_TRANSFER_REQUEST_FAILURE';
export const ATOMIC_TRANSFER_SET = 'ATOMIC_TRANSFER_SET';
export const ATOMIC_TRANSFER_COMPLETE = 'ATOMIC_TRANSFER_COMPLETE';
export const BILLING_RECEIPT_EMAIL_SEND = 'BILLING_RECEIPT_EMAIL_SEND';
export const BILLING_RECEIPT_EMAIL_SEND_FAILURE = 'BILLING_RECEIPT_EMAIL_SEND_FAILURE';
export const BILLING_RECEIPT_EMAIL_SEND_SUCCESS = 'BILLING_RECEIPT_EMAIL_SEND_SUCCESS';
export const BILLING_TRANSACTION_ERROR_CLEAR = 'BILLING_TRANSACTION_ERROR_CLEAR';
export const BILLING_TRANSACTION_RECEIVE = 'BILLING_TRANSACTION_RECEIVE';
export const BILLING_TRANSACTION_REQUEST = 'BILLING_TRANSACTION_REQUEST';
export const BILLING_TRANSACTION_REQUEST_FAILURE = 'BILLING_TRANSACTION_REQUEST_FAILURE';
export const BILLING_TRANSACTION_REQUEST_SUCCESS = 'BILLING_TRANSACTION_REQUEST_SUCCESS';
export const BILLING_TRANSACTIONS_FILTER_SET_APP = 'BILLING_TRANSACTIONS_FILTER_SET_APP';
export const BILLING_TRANSACTIONS_FILTER_SET_MONTH = 'BILLING_TRANSACTIONS_FILTER_SET_MONTH';
export const BILLING_TRANSACTIONS_FILTER_SET_PAGE = 'BILLING_TRANSACTIONS_FILTER_SET_PAGE';
export const BILLING_TRANSACTIONS_FILTER_SET_QUERY = 'BILLING_TRANSACTIONS_FILTER_SET_QUERY';
export const BILLING_TRANSACTIONS_RECEIVE = 'BILLING_TRANSACTIONS_RECEIVE';
export const BILLING_TRANSACTIONS_REQUEST = 'BILLING_TRANSACTIONS_REQUEST';
export const BILLING_TRANSACTIONS_REQUEST_FAILURE = 'BILLING_TRANSACTIONS_REQUEST_FAILURE';
export const BILLING_TRANSACTIONS_REQUEST_SUCCESS = 'BILLING_TRANSACTIONS_REQUEST_SUCCESS';
export const CHECKOUT_TOGGLE_CART_ON_MOBILE = 'CHECKOUT_TOGGLE_CART_ON_MOBILE';
export const CONCIERGE_APPOINTMENT_CANCEL = 'CONCIERGE_APPOINTMENT_CANCEL';
export const CONCIERGE_APPOINTMENT_CREATE = 'CONCIERGE_APPOINTMENT_CREATE';
export const CONCIERGE_APPOINTMENT_DETAILS_REQUEST = 'CONCIERGE_APPOINTMENT_DETAILS_REQUEST';
export const CONCIERGE_APPOINTMENT_DETAILS_UPDATE = 'CONCIERGE_APPOINTMENT_DETAILS_UPDATE';
export const CONCIERGE_APPOINTMENT_RESCHEDULE = 'CONCIERGE_APPOINTMENT_RESCHEDULE';
export const CONCIERGE_INITIAL_REQUEST = 'CONCIERGE_INITIAL_REQUEST';
export const CONCIERGE_INITIAL_UPDATE = 'CONCIERGE_INITIAL_UPDATE';
export const CONCIERGE_SIGNUP_FORM_UPDATE = 'CONCIERGE_SIGNUP_FORM_UPDATE';
export const CONCIERGE_UPDATE_BOOKING_STATUS = 'CONCIERGE_UPDATE_BOOKING_STATUS';
export const COMMENT_COUNTS_UPDATE = 'COMMENT_COUNTS_UPDATE';
export const COMMENT_COUNTS_REQUEST = 'COMMENT_COUNTS_REQUEST';
export const COMMENT_REQUEST = 'COMMENT_REQUEST';
export const COMMENTS_CHANGE_STATUS = 'COMMENTS_CHANGE_STATUS';
export const COMMENTS_COUNT_INCREMENT = 'COMMENTS_COUNT_INCREMENT';
export const COMMENTS_COUNT_RECEIVE = 'COMMENTS_COUNT_RECEIVE';
export const COMMENTS_DELETE = 'COMMENTS_DELETE';
export const COMMENTS_EDIT = 'COMMENTS_EDIT';
export const COMMENTS_LIKE = 'COMMENTS_LIKE';
export const COMMENTS_LIST_REQUEST = 'COMMENTS_LIST_REQUEST';
export const COMMENTS_QUERY_UPDATE = 'COMMENTS_QUERY_UPDATE';
export const COMMENTS_RECEIVE = 'COMMENTS_RECEIVE';
export const COMMENTS_RECEIVE_ERROR = 'COMMENTS_RECEIVE_ERROR';
export const COMMENTS_REPLY_WRITE = 'COMMENTS_REPLY_WRITE';
export const COMMENTS_REQUEST = 'COMMENTS_REQUEST';
export const COMMENTS_REQUEST_FAILURE = 'COMMENTS_REQUEST_FAILURE';
export const COMMENTS_REQUEST_SUCCESS = 'COMMENTS_REQUEST_SUCCESS';
export const COMMENTS_SET_ACTIVE_REPLY = 'COMMENTS_SET_ACTIVE_REPLY';
export const COMMENTS_TREE_SITE_ADD = 'COMMENTS_TREE_SITE_ADD';
export const COMMENTS_TREE_SITE_REQUEST = 'COMMENTS_TREE_SITE_REQUEST';
export const COMMENTS_UNLIKE = 'COMMENTS_UNLIKE';
export const COMMENTS_UPDATES_RECEIVE = 'COMMENTS_UPDATES_RECEIVE';
export const COMMENTS_WRITE = 'COMMENTS_WRITE';
export const COMMENTS_WRITE_ERROR = 'COMMENTS_WRITE_ERROR';
export const CONNECTED_APPLICATION_DELETE = 'CONNECTED_APPLICATION_DELETE';
export const CONNECTED_APPLICATION_DELETE_SUCCESS = 'CONNECTED_APPLICATION_DELETE_SUCCESS';
export const CONNECTED_APPLICATIONS_RECEIVE = 'CONNECTED_APPLICATIONS_RECEIVE';
export const CONNECTED_APPLICATIONS_REQUEST = 'CONNECTED_APPLICATIONS_REQUEST';
export const CONNECTION_LOST = 'CONNECTION_LOST';
export const CONNECTION_RESTORED = 'CONNECTION_RESTORED';
export const CONNECTIONS_SET_EXPANDED_SERVICE = 'CONNECTIONS_SET_EXPANDED_SERVICE';
export const COUNTRIES_DOMAINS_FETCH = 'COUNTRIES_DOMAINS_FETCH';
export const COUNTRIES_DOMAINS_UPDATED = 'COUNTRIES_DOMAINS_UPDATED';
export const COUNTRIES_PAYMENTS_FETCH = 'COUNTRIES_PAYMENTS_FETCH';
export const COUNTRIES_PAYMENTS_UPDATED = 'COUNTRIES_PAYMENTS_UPDATED';
export const COUNTRIES_SMS_FETCH = 'COUNTRIES_SMS_FETCH';
export const COUNTRIES_SMS_UPDATED = 'COUNTRIES_SMS_UPDATED';
export const COUNTRY_STATES_RECEIVE = 'COUNTRY_STATES_RECEIVE';
export const COUNTRY_STATES_REQUEST = 'COUNTRY_STATES_REQUEST';
export const COUNTRY_STATES_REQUEST_FAILURE = 'COUNTRY_STATES_REQUEST_FAILURE';
export const COUNTRY_STATES_REQUEST_SUCCESS = 'COUNTRY_STATES_REQUEST_SUCCESS';
export const DESERIALIZE = 'DESERIALIZE';
export const CANNOT_USE_EDITOR = 'CANNOT_USE_EDITOR';
export const DIRECTLY_ASK_QUESTION = 'DIRECTLY_ASK_QUESTION';
export const DIRECTLY_INITIALIZATION_ERROR = 'DIRECTLY_INITIALIZATION_ERROR';
export const DIRECTLY_INITIALIZATION_START = 'DIRECTLY_INITIALIZATION_START';
export const DIRECTLY_INITIALIZATION_SUCCESS = 'DIRECTLY_INITIALIZATION_SUCCESS';
export const DOCUMENT_HEAD_LINK_SET = 'DOCUMENT_HEAD_LINK_SET';
export const DOCUMENT_HEAD_META_SET = 'DOCUMENT_HEAD_META_SET';
export const DOCUMENT_HEAD_TITLE_SET = 'DOCUMENT_HEAD_TITLE_SET';
export const DOCUMENT_HEAD_UNREAD_COUNT_SET = 'DOCUMENT_HEAD_UNREAD_COUNT_SET';
export const DOMAIN_MANAGEMENT_CONTACT_DETAILS_CACHE_RECEIVE =
	'DOMAIN_MANAGEMENT_CONTACT_DETAILS_CACHE_RECEIVE';
export const DOMAIN_MANAGEMENT_CONTACT_DETAILS_CACHE_REQUEST =
	'DOMAIN_MANAGEMENT_CONTACT_DETAILS_CACHE_REQUEST';
export const DOMAIN_MANAGEMENT_CONTACT_DETAILS_CACHE_REQUEST_FAILURE =
	'DOMAIN_MANAGEMENT_CONTACT_DETAILS_CACHE_REQUEST_FAILURE';
export const DOMAIN_MANAGEMENT_CONTACT_DETAILS_CACHE_REQUEST_SUCCESS =
	'DOMAIN_MANAGEMENT_CONTACT_DETAILS_CACHE_REQUEST_SUCCESS';
export const DOMAIN_MANAGEMENT_CONTACT_DETAILS_CACHE_UPDATE =
	'DOMAIN_MANAGEMENT_CONTACT_DETAILS_CACHE_UPDATE';
export const DOMAIN_MANAGEMENT_VALIDATION_SCHEMAS_ADD = 'DOMAIN_MANAGEMENT_VALIDATION_SCHEMAS_ADD';
export const DOMAIN_MANAGEMENT_VALIDATION_SCHEMAS_REQUEST =
	'DOMAIN_MANAGEMENT_VALIDATION_SCHEMAS_REQUEST';
export const DOMAIN_MANAGEMENT_WHOIS_RECEIVE = 'DOMAIN_MANAGEMENT_WHOIS_RECEIVE';
export const DOMAIN_MANAGEMENT_WHOIS_REQUEST = 'DOMAIN_MANAGEMENT_WHOIS_REQUEST';
export const DOMAIN_MANAGEMENT_WHOIS_REQUEST_FAILURE = 'DOMAIN_MANAGEMENT_WHOIS_REQUEST_FAILURE';
export const DOMAIN_MANAGEMENT_WHOIS_REQUEST_SUCCESS = 'DOMAIN_MANAGEMENT_WHOIS_REQUEST_SUCCESS';
export const DOMAIN_MANAGEMENT_WHOIS_SAVE = 'DOMAIN_MANAGEMENT_WHOIS_SAVE';
export const DOMAIN_MANAGEMENT_WHOIS_SAVE_FAILURE = 'DOMAIN_MANAGEMENT_WHOIS_SAVE_FAILURE';
export const DOMAIN_MANAGEMENT_WHOIS_SAVE_SUCCESS = 'DOMAIN_MANAGEMENT_WHOIS_SAVE_SUCCESS';
export const DOMAIN_MANAGEMENT_WHOIS_UPDATE = 'DOMAIN_MANAGEMENT_WHOIS_UPDATE';
export const DOMAINS_DNS_ADD = 'DOMAINS_DNS_ADD';
export const DOMAINS_DNS_ADD_COMPLETED = 'DOMAINS_DNS_ADD_COMPLETED';
export const DOMAINS_DNS_ADD_FAILED = 'DOMAINS_DNS_ADD_FAILED';
export const DOMAINS_DNS_APPLY_TEMPLATE_COMPLETED = 'DOMAINS_DNS_APPLY_TEMPLATE_COMPLETED';
export const DOMAINS_DNS_DELETE = 'DOMAINS_DNS_DELETE';
export const DOMAINS_DNS_DELETE_COMPLETED = 'DOMAINS_DNS_DELETE_COMPLETED';
export const DOMAINS_DNS_DELETE_FAILED = 'DOMAINS_DNS_DELETE_FAILED';
export const DOMAINS_DNS_FETCH = 'DOMAINS_DNS_FETCH';
export const DOMAINS_DNS_FETCH_COMPLETED = 'DOMAINS_DNS_FETCH_COMPLETED';
export const DOMAINS_DNS_FETCH_FAILED = 'DOMAINS_DNS_FETCH_FAILED';
export const DOMAINS_SITE_REDIRECT_FETCH = 'DOMAINS_SITE_REDIRECT_FETCH';
export const DOMAINS_SITE_REDIRECT_FETCH_COMPLETED = 'DOMAINS_SITE_REDIRECT_FETCH_COMPLETED';
export const DOMAINS_SITE_REDIRECT_FETCH_FAILED = 'DOMAINS_SITE_REDIRECT_FETCH_FAILED';
export const DOMAINS_SITE_REDIRECT_NOTICE_CLOSE = 'DOMAINS_SITE_REDIRECT_NOTICE_CLOSE';
export const DOMAINS_SITE_REDIRECT_UPDATE = 'DOMAINS_SITE_REDIRECT_UPDATE';
export const DOMAINS_SITE_REDIRECT_UPDATE_COMPLETED = 'DOMAINS_SITE_REDIRECT_UPDATE_COMPLETED';
export const DOMAINS_SITE_REDIRECT_UPDATE_FAILED = 'DOMAINS_SITE_REDIRECT_UPDATE_FAILED';
export const DOMAINS_SUGGESTIONS_RECEIVE = 'DOMAINS_SUGGESTIONS_RECEIVE';
export const DOMAINS_SUGGESTIONS_REQUEST = 'DOMAINS_SUGGESTIONS_REQUEST';
export const DOMAINS_SUGGESTIONS_REQUEST_FAILURE = 'DOMAINS_SUGGESTIONS_REQUEST_FAILURE';
export const DOMAINS_SUGGESTIONS_REQUEST_SUCCESS = 'DOMAINS_SUGGESTIONS_REQUEST_SUCCESS';
export const DOMAIN_TRANSFER_IPS_TAG_SAVE = 'DOMAIN_TRANSFER_IPS_TAG_SAVE';
export const DOMAIN_TRANSFER_UPDATE = 'DOMAIN_TRANSFER_UPDATE';
export const DOMAIN_PRIVACY_ENABLE = 'DOMAIN_PRIVACY_ENABLE';
export const DOMAIN_PRIVACY_ENABLE_SUCCESS = 'DOMAIN_PRIVACY_ENABLE_SUCCESS';
export const DOMAIN_PRIVACY_ENABLE_FAILURE = 'DOMAIN_PRIVACY_ENABLE_FAILURE';
export const DOMAIN_PRIVACY_DISABLE = 'DOMAIN_PRIVACY_DISABLE';
export const DOMAIN_PRIVACY_DISABLE_SUCCESS = 'DOMAIN_PRIVACY_DISABLE_SUCCESS';
export const DOMAIN_PRIVACY_DISABLE_FAILURE = 'DOMAIN_PRIVACY_DISABLE_FAILURE';
export const DOMAIN_CONTACT_INFO_DISCLOSE = 'DOMAIN_CONTACT_INFO_DISCLOSE';
export const DOMAIN_CONTACT_INFO_DISCLOSE_SUCCESS = 'DOMAIN_CONTACT_INFO_DISCLOSE_SUCCESS';
export const DOMAIN_CONTACT_INFO_DISCLOSE_FAILURE = 'DOMAIN_CONTACT_INFO_DISCLOSE_FAILURE';
export const DOMAIN_CONTACT_INFO_REDACT = 'DOMAIN_CONTACT_INFO_REDACT';
export const DOMAIN_CONTACT_INFO_REDACT_SUCCESS = 'DOMAIN_CONTACT_INFO_REDACT_SUCCESS';
export const DOMAIN_CONTACT_INFO_REDACT_FAILURE = 'DOMAIN_CONTACT_INFO_REDACT_FAILURE';
export const DROPZONE_HIDE = 'DROPZONE_HIDE';
export const DROPZONE_SHOW = 'DROPZONE_SHOW';
export const EDITOR_AUTOSAVE = 'EDITOR_AUTOSAVE';
export const EDITOR_AUTOSAVE_SUCCESS = 'EDITOR_AUTOSAVE_SUCCESS';
export const EDITOR_AUTOSAVE_FAILURE = 'EDITOR_AUTOSAVE_FAILURE';
export const EDITOR_AUTOSAVE_RESET = 'EDITOR_AUTOSAVE_RESET';
export const EDITOR_IFRAME_LOADED = 'EDITOR_IFRAME_LOADED';
export const EDITOR_LOADING_ERROR_RESET = 'EDITOR_LOADING_ERROR_RESET';
export const EDITOR_SAVE_BLOCK = 'EDITOR_SAVE_BLOCK';
export const EDITOR_SAVE_UNBLOCK = 'EDITOR_SAVE_UNBLOCK';
export const EDITOR_CONTACT_FORM_CLEAR = 'EDITOR_CONTACT_FORM_CLEAR';
export const EDITOR_CONTACT_FORM_FIELD_ADD = 'EDITOR_CONTACT_FORM_FIELD_ADD';
export const EDITOR_CONTACT_FORM_FIELD_REMOVE = 'EDITOR_CONTACT_FORM_FIELD_REMOVE';
export const EDITOR_CONTACT_FORM_FIELD_UPDATE = 'EDITOR_CONTACT_FORM_FIELD_UPDATE';
export const EDITOR_CONTACT_FORM_LOAD = 'EDITOR_CONTACT_FORM_LOAD';
export const EDITOR_CONTACT_FORM_SETTINGS_UPDATE = 'EDITOR_CONTACT_FORM_SETTINGS_UPDATE';
export const EDITOR_LAST_DRAFT_SET = 'EDITOR_LAST_DRAFT_SET';
export const EDITOR_MEDIA_EDIT_ITEM_SET = 'EDITOR_MEDIA_EDIT_ITEM_SET';
export const EDITOR_PASTE_EVENT = 'EDITOR_PASTE_EVENT';
export const EDITOR_RESET = 'EDITOR_RESET';
export const EDITOR_START = 'EDITOR_START';
export const EDITOR_STOP = 'EDITOR_STOP';
export const EDITOR_SAVE = 'EDITOR_SAVE';
export const EDITOR_EDIT_RAW_CONTENT = 'EDITOR_EDIT_RAW_CONTENT';
export const EDITOR_INIT_RAW_CONTENT = 'EDITOR_INIT_RAW_CONTENT';
export const EDITOR_RESET_RAW_CONTENT = 'EDITOR_RESET_RAW_CONTENT';
export const EDITOR_TYPE_REQUEST = 'EDITOR_TYPE_REQUEST';
export const EDITOR_TYPE_SET = 'EDITOR_TYPE_SET';
export const EDITOR_TYPE_UPDATE = 'EDITOR_TYPE_UPDATE';
export const EDITOR_VIEW_POST_CLICKED = 'EDITOR_VIEW_POST_CLICKED';
export const EMAIL_ACCOUNTS_REQUEST = 'EMAIL_ACCOUNTS_REQUEST';
export const EMAIL_ACCOUNTS_REQUEST_FAILURE = 'EMAIL_ACCOUNTS_REQUEST_FAILURE';
export const EMAIL_ACCOUNTS_REQUEST_SUCCESS = 'EMAIL_ACCOUNTS_REQUEST_SUCCESS';
export const EMAIL_FORWARDING_REQUEST = 'EMAIL_FORWARDING_REQUEST';
export const EMAIL_FORWARDING_REQUEST_SUCCESS = 'EMAIL_FORWARDING_REQUEST_SUCCESS';
export const EMAIL_FORWARDING_REQUEST_FAILURE = 'EMAIL_FORWARDING_REQUEST_FAILURE';
export const EMAIL_FORWARDING_ADD_REQUEST = 'EMAIL_FORWARDING_ADD_REQUEST';
export const EMAIL_FORWARDING_ADD_REQUEST_SUCCESS = 'EMAIL_FORWARDING_ADD_REQUEST_SUCCESS';
export const EMAIL_FORWARDING_ADD_REQUEST_FAILURE = 'EMAIL_FORWARDING_ADD_REQUEST_FAILURE';
export const EMAIL_FORWARDING_REMOVE_REQUEST = 'EMAIL_FORWARDING_REMOVE_REQUEST';
export const EMAIL_FORWARDING_REMOVE_REQUEST_SUCCESS = 'EMAIL_FORWARDING_REMOVE_REQUEST_SUCCESS';
export const EMAIL_FORWARDING_REMOVE_REQUEST_FAILURE = 'EMAIL_FORWARDING_REMOVE_REQUEST_FAILURE';
export const EMAIL_FORWARDING_RESEND_VERIFICATION_REQUEST =
	'EMAIL_FORWARDING_RESEND_VERIFICATION_REQUEST';
export const EMAIL_FORWARDING_RESEND_VERIFICATION_REQUEST_SUCCESS =
	'EMAIL_FORWARDING_RESEND_VERIFICATION_REQUEST_SUCCESS';
export const EMAIL_FORWARDING_RESEND_VERIFICATION_REQUEST_FAILURE =
	'EMAIL_FORWARDING_RESEND_VERIFICATION_REQUEST_FAILURE';
export const EMAIL_VERIFY_REQUEST = 'EMAIL_VERIFY_REQUEST';
export const EMAIL_VERIFY_REQUEST_SUCCESS = 'EMAIL_VERIFY_REQUEST_SUCCESS';
export const EMAIL_VERIFY_REQUEST_FAILURE = 'EMAIL_VERIFY_REQUEST_FAILURE';
export const EMAIL_VERIFY_STATE_RESET = 'EMAIL_VERIFY_STATE_RESET';
export const EMBED_RECEIVE = 'EMBED_RECEIVE';
export const EMBED_REQUEST = 'EMBED_REQUEST';
export const EMBEDS_RECEIVE = 'EMBEDS_RECEIVE';
export const EMBEDS_REQUEST = 'EMBEDS_REQUEST';
export const EXPERIMENT_FETCH = 'EXPERIMENT_FETCH';
export const EXPERIMENT_ASSIGN = 'EXPERIMENT_ASSIGN';
export const EXPORT_ADVANCED_SETTINGS_FETCH = 'EXPORT_ADVANCED_SETTINGS_FETCH';
export const EXPORT_ADVANCED_SETTINGS_FETCH_FAIL = 'EXPORT_ADVANCED_SETTINGS_FETCH_FAIL';
export const EXPORT_ADVANCED_SETTINGS_RECEIVE = 'EXPORT_ADVANCED_SETTINGS_RECEIVE';
export const EXPORT_CLEAR = 'EXPORT_CLEAR';
export const EXPORT_COMPLETE = 'EXPORT_COMPLETE';
export const EXPORT_MEDIA_REQUEST = 'EXPORT_MEDIA_REQUEST';
export const EXPORT_FAILURE = 'EXPORT_FAILURE';
export const EXPORT_POST_TYPE_FIELD_SET = 'EXPORT_POST_TYPE_FIELD_SET';
export const EXPORT_POST_TYPE_SET = 'EXPORT_POST_TYPE_SET';
export const EXPORT_STARTED = 'EXPORT_STARTED';
export const EXPORT_START_REQUEST = 'EXPORT_START_REQUEST';
export const EXPORT_STATUS_FETCH = 'EXPORT_STATUS_FETCH';
export const FETCH_WPORG_PLUGIN_DATA = 'FETCH_WPORG_PLUGIN_DATA';
export const FIRST_VIEW_HIDE = 'FIRST_VIEW_HIDE';
export const FOLLOWERS_RECEIVE = 'FOLLOWERS_RECEIVE';
export const FOLLOWERS_REQUEST = 'FOLLOWERS_REQUEST';
export const FOLLOWERS_REQUEST_ERROR = 'FOLLOWERS_REQUEST_ERROR';
export const FOLLOWER_REMOVE_ERROR = 'FOLLOWER_REMOVE_ERROR';
export const FOLLOWER_REMOVE_REQUEST = 'FOLLOWER_REMOVE_REQUEST';
export const FOLLOWER_REMOVE_SUCCESS = 'FOLLOWER_REMOVE_SUCCESS';
export const GEO_RECEIVE = 'GEO_RECEIVE';
export const GEO_REQUEST = 'GEO_REQUEST';
export const GEO_REQUEST_FAILURE = 'GEO_REQUEST_FAILURE';
export const GEO_REQUEST_SUCCESS = 'GEO_REQUEST_SUCCESS';
export const GRAVATAR_RECEIVE_IMAGE_FAILURE = 'GRAVATAR_RECEIVE_IMAGE_FAILURE';
export const GOOGLE_MY_BUSINESS_STATS_CHANGE_INTERVAL = 'GOOGLE_MY_BUSINESS_STATS_CHANGE_INTERVAL';
export const GOOGLE_MY_BUSINESS_STATS_FAILURE = 'GOOGLE_MY_BUSINESS_STATS_FAILURE';
export const GOOGLE_MY_BUSINESS_STATS_RECEIVE = 'GOOGLE_MY_BUSINESS_STATS_RECEIVE';
export const GOOGLE_MY_BUSINESS_STATS_REQUEST = 'GOOGLE_MY_BUSINESS_STATS_REQUEST';
export const GSUITE_USERS_REQUEST = 'GSUITE_USERS_REQUEST';
export const GSUITE_USERS_REQUEST_FAILURE = 'GSUITE_USERS_REQUEST_FAILURE';
export const GSUITE_USERS_REQUEST_SUCCESS = 'GSUITE_USERS_REQUEST_SUCCESS';
export const GRAVATAR_UPLOAD_RECEIVE = 'GRAVATAR_UPLOAD_RECEIVE';
export const GRAVATAR_UPLOAD_REQUEST = 'GRAVATAR_UPLOAD_REQUEST';
export const GRAVATAR_UPLOAD_REQUEST_FAILURE = 'GRAVATAR_UPLOAD_REQUEST_FAILURE';
export const GRAVATAR_UPLOAD_REQUEST_SUCCESS = 'GRAVATAR_UPLOAD_REQUEST_SUCCESS';
export const GUIDED_TOUR_PAUSE = 'GUIDED_TOUR_PAUSE';
export const GUIDED_TOUR_RESUME = 'GUIDED_TOUR_RESUME';
export const GUIDED_TOUR_UPDATE = 'GUIDED_TOUR_UPDATE';
export const GUIDED_TRANSFER_HOST_DETAILS_SAVE = 'GUIDED_TRANSFER_HOST_DETAILS_SAVE';
export const GUIDED_TRANSFER_HOST_DETAILS_SAVE_FAILURE =
	'GUIDED_TRANSFER_HOST_DETAILS_SAVE_FAILURE';
export const GUIDED_TRANSFER_HOST_DETAILS_SAVE_SUCCESS =
	'GUIDED_TRANSFER_HOST_DETAILS_SAVE_SUCCESS';
export const GUIDED_TRANSFER_STATUS_RECEIVE = 'GUIDED_TRANSFER_STATUS_RECEIVE';
export const GUIDED_TRANSFER_STATUS_REQUEST = 'GUIDED_TRANSFER_STATUS_REQUEST';
export const GUIDED_TRANSFER_STATUS_REQUEST_FAILURE = 'GUIDED_TRANSFER_STATUS_REQUEST_FAILURE';
export const GUIDED_TRANSFER_STATUS_REQUEST_SUCCESS = 'GUIDED_TRANSFER_STATUS_REQUEST_SUCCESS';
export const GUTENBERG_IFRAME_ELIGIBLE_SET = 'GUTENBERG_IFRAME_ELIGIBLE_SET';
export const GUTENBERG_OPT_IN_DIALOG_IS_SHOWING = 'GUTENBERG_OPT_IN_DIALOG_IS_SHOWING';
export const GUTENBERG_OPT_IN_OUT_SET = 'GUTENBERG_OPT_IN_OUT_SET';
export const HAPPINESS_ENGINEERS_FETCH = 'HAPPINESS_ENGINEERS_FETCH';
export const HAPPINESS_ENGINEERS_FETCH_FAILURE = 'HAPPINESS_ENGINEERS_FETCH_FAILURE';
export const HAPPINESS_ENGINEERS_FETCH_SUCCESS = 'HAPPINESS_ENGINEERS_FETCH_SUCCESS';
export const HAPPINESS_ENGINEERS_RECEIVE = 'HAPPINESS_ENGINEERS_RECEIVE';
export const HAPPYCHAT_BLUR = 'HAPPYCHAT_BLUR';
export const HAPPYCHAT_FOCUS = 'HAPPYCHAT_FOCUS';
export const HAPPYCHAT_ELIGIBILITY_SET = 'HAPPYCHAT_ELIGIBILITY_SET';
export const HAPPYCHAT_IO_INIT = 'HAPPYCHAT_IO_INIT';
export const HAPPYCHAT_IO_RECEIVE_ACCEPT = 'HAPPYCHAT_IO_RECEIVE_ACCEPT';
export const HAPPYCHAT_IO_RECEIVE_CONNECT = 'HAPPYCHAT_IO_RECEIVE_CONNECT';
export const HAPPYCHAT_IO_RECEIVE_DISCONNECT = 'HAPPYCHAT_IO_RECEIVE_DISCONNECT';
export const HAPPYCHAT_IO_RECEIVE_ERROR = 'HAPPYCHAT_IO_RECEIVE_ERROR';
export const HAPPYCHAT_IO_RECEIVE_INIT = 'HAPPYCHAT_IO_RECEIVE_INIT';
export const HAPPYCHAT_IO_RECEIVE_LOCALIZED_SUPPORT = 'HAPPYCHAT_IO_RECEIVE_LOCALIZED_SUPPORT';
export const HAPPYCHAT_IO_RECEIVE_MESSAGE = 'HAPPYCHAT_IO_RECEIVE_MESSAGE';
export const HAPPYCHAT_IO_RECEIVE_RECONNECTING = 'HAPPYCHAT_IO_RECEIVE_RECONNECTING';
export const HAPPYCHAT_IO_RECEIVE_STATUS = 'HAPPYCHAT_IO_RECEIVE_STATUS';
export const HAPPYCHAT_IO_RECEIVE_TOKEN = 'HAPPYCHAT_IO_RECEIVE_TOKEN';
export const HAPPYCHAT_IO_RECEIVE_UNAUTHORIZED = 'HAPPYCHAT_IO_RECEIVE_UNAUTHORIZED';
export const HAPPYCHAT_IO_REQUEST_TRANSCRIPT = 'HAPPYCHAT_IO_REQUEST_TRANSCRIPT';
export const HAPPYCHAT_IO_REQUEST_TRANSCRIPT_RECEIVE = 'HAPPYCHAT_IO_REQUEST_TRANSCRIPT_RECEIVE';
export const HAPPYCHAT_IO_REQUEST_TRANSCRIPT_TIMEOUT = 'HAPPYCHAT_IO_REQUEST_TRANSCRIPT_TIMEOUT';
export const HAPPYCHAT_IO_SEND_MESSAGE_EVENT = 'HAPPYCHAT_IO_SEND_MESSAGE_EVENT';
export const HAPPYCHAT_IO_SEND_MESSAGE_LOG = 'HAPPYCHAT_IO_SEND_MESSAGE_LOG';
export const HAPPYCHAT_IO_SEND_MESSAGE_MESSAGE = 'HAPPYCHAT_IO_SEND_MESSAGE_MESSAGE';
export const HAPPYCHAT_IO_SEND_MESSAGE_USERINFO = 'HAPPYCHAT_IO_SEND_MESSAGE_USERINFO';
export const HAPPYCHAT_IO_SEND_PREFERENCES = 'HAPPYCHAT_IO_SEND_PREFERENCES';
export const HAPPYCHAT_IO_SEND_TYPING = 'HAPPYCHAT_IO_SEND_TYPING';
export const HAPPYCHAT_MINIMIZING = 'HAPPYCHAT_MINIMIZING';
export const HAPPYCHAT_OPEN = 'HAPPYCHAT_OPEN';
export const HAPPYCHAT_SET_CURRENT_MESSAGE = 'HAPPYCHAT_SET_CURRENT_MESSAGE';
export const HELP_COURSES_RECEIVE = 'HELP_COURSES_RECEIVE';
export const HELP_CONTACT_FORM_SITE_SELECT = 'HELP_CONTACT_FORM_SITE_SELECT';
export const HELP_LINKS_RECEIVE = 'HELP_LINKS_RECEIVE';
export const HELP_LINKS_REQUEST = 'HELP_LINKS_REQUEST';
export const HELP_TICKET_CONFIGURATION_DISMISS_ERROR = 'HELP_TICKET_CONFIGURATION_DISMISS_ERROR';
export const HELP_TICKET_CONFIGURATION_REQUEST = 'HELP_TICKET_CONFIGURATION_REQUEST';
export const HELP_TICKET_CONFIGURATION_REQUEST_FAILURE =
	'HELP_TICKET_CONFIGURATION_REQUEST_FAILURE';
export const HELP_TICKET_CONFIGURATION_REQUEST_SUCCESS =
	'HELP_TICKET_CONFIGURATION_REQUEST_SUCCESS';
export const HISTORY_REPLACE = 'HISTORY_REPLACE';
export const HOME_LAYOUT_REQUEST = 'HOME_LAYOUT_REQUEST';
export const HOME_LAYOUT_SET = 'HOME_LAYOUT_SET';
export const HOME_LAYOUT_SKIP_CURRENT_VIEW = 'HOME_LAYOUT_SKIP_CURRENT_VIEW';
export const HOME_QUICK_LINKS_EXPAND = 'HOME_QUICK_LINKS_EXPAND';
export const HOME_QUICK_LINKS_COLLAPSE = 'HOME_QUICK_LINKS_COLLAPSE';
export const HOSTING_SFTP_USER_CREATE = 'HOSTING_SFTP_USER_CREATE';
export const HOSTING_SFTP_USERS_REQUEST = 'HOSTING_SFTP_USERS_REQUEST';
export const HOSTING_SFTP_USERS_SET = 'HOSTING_SFTP_USERS_SET';
export const HOSTING_SFTP_PASSWORD_RESET = 'HOSTING_SFTP_PASSWORD_RESET';
export const HOSTING_SFTP_USER_UPDATE = 'HOSTING_SFTP_USER_UPDATE';
export const HOSTING_RESTORE_DATABASE_PASSWORD = 'HOSTING_RESTORE_DATABASE_PASSWORD';
export const HOSTING_PHP_VERSION_REQUEST = 'HOSTING_PHP_VERSION_REQUEST';
export const HOSTING_PHP_VERSION_SET_REQUEST = 'HOSTING_PHP_VERSION_SET_REQUEST';
export const HOSTING_CLEAR_CACHE_REQUEST = 'HOSTING_CLEAR_CACHE_REQUEST';
export const HOSTING_PHP_VERSION_SET = 'HOSTING_PHP_VERSION_SET';
export const HTTP_DATA_REQUEST = 'HTTP_DATA_FETCH';
export const HTTP_DATA_TICK = 'HTTP_DATA_TICK';
export const HTTP_REQUEST = 'HTTP_REQUEST';
export const I18N_LANGUAGE_NAMES_REQUEST = 'I18N_LANGUAGE_NAMES_REQUEST';
export const I18N_LANGUAGE_NAMES_ADD = 'I18N_LANGUAGE_NAMES_ADD';
export const I18N_LOCALE_SUGGESTIONS_REQUEST = 'I18N_LOCALE_SUGGESTIONS_REQUEST';
export const I18N_LOCALE_SUGGESTIONS_ADD = 'I18N_LOCALE_SUGGESTIONS_ADD';
export const IMAGE_EDITOR_COMPUTED_CROP = 'IMAGE_EDITOR_COMPUTED_CROP';
export const IMAGE_EDITOR_CROP = 'IMAGE_EDITOR_CROP';
export const IMAGE_EDITOR_FLIP = 'IMAGE_EDITOR_FLIP';
export const IMAGE_EDITOR_IMAGE_HAS_LOADED = 'IMAGE_EDITOR_IMAGE_HAS_LOADED';
export const IMAGE_EDITOR_ROTATE_COUNTERCLOCKWISE = 'IMAGE_EDITOR_ROTATE_COUNTERCLOCKWISE';
export const IMAGE_EDITOR_SET_ASPECT_RATIO = 'IMAGE_EDITOR_SET_ASPECT_RATIO';
export const IMAGE_EDITOR_SET_CROP_BOUNDS = 'IMAGE_EDITOR_SET_CROP_BOUNDS';
export const IMAGE_EDITOR_SET_DEFAULT_ASPECT_RATIO = 'IMAGE_EDITOR_SET_DEFAULT_ASPECT_RATIO';
export const IMAGE_EDITOR_SET_FILE_INFO = 'IMAGE_EDITOR_SET_FILE_INFO';
export const IMAGE_EDITOR_STATE_RESET = 'IMAGE_EDITOR_STATE_RESET';
export const IMAGE_EDITOR_STATE_RESET_ALL = 'IMAGE_EDITOR_STATE_RESET_ALL';
export const IMMEDIATE_LOGIN_SAVE_INFO = 'IMMEDIATE_LOGIN_SAVE_INFO';
export const IMPORTER_NUX_SITE_DETAILS_SET = 'IMPORTER_NUX_SITE_DETAILS_SET';
export const IMPORTER_NUX_URL_INPUT_SET = 'IMPORTER_NUX_URL_INPUT_SET';
export const IMPORTER_NUX_FROM_SIGNUP_CLEAR = 'IMPORTER_NUX_FROM_SIGNUP_CLEAR';
export const IMPORTER_NUX_FROM_SIGNUP_SET = 'IMPORTER_NUX_FROM_SIGNUP_SET';
export const IMPORTS_AUTHORS_SET_MAPPING = 'IMPORTS_AUTHORS_SET_MAPPING';
export const IMPORTS_AUTHORS_START_MAPPING = 'IMPORTS_AUTHORS_START_MAPPING';
export const IMPORTS_FETCH = 'IMPORTS_FETCH';
export const IMPORTS_FETCH_COMPLETED = 'IMPORTS_FETCH_COMPLETED';
export const IMPORTS_FETCH_FAILED = 'IMPORTS_FETCH_FAILED';
export const IMPORTS_IMPORT_CANCEL = 'IMPORTS_IMPORT_CANCEL';
export const IMPORTS_IMPORT_LOCK = 'IMPORTS_IMPORT_LOCK';
export const IMPORTS_IMPORT_RECEIVE = 'IMPORTS_IMPORT_RECEIVE';
export const IMPORTS_IMPORT_RESET = 'IMPORTS_IMPORT_RESET';
export const IMPORTS_IMPORT_START = 'IMPORTS_IMPORT_START';
export const IMPORTS_IMPORT_UNLOCK = 'IMPORTS_IMPORT_UNLOCK';
export const IMPORTS_START_IMPORTING = 'IMPORTS_START_IMPORTING';
export const IMPORTS_STORE_RESET = 'IMPORTS_STORE_RESET';
export const IMPORTS_UPLOAD_COMPLETED = 'IMPORTS_UPLOAD_COMPLETED';
export const IMPORTS_UPLOAD_FAILED = 'IMPORTS_UPDLOAD_FAILED';
export const IMPORTS_UPLOAD_SET_PROGRESS = 'IMPORTS_UPLOAD_SET_PROGRESS';
export const IMPORTS_UPLOAD_START = 'IMPORTS_UPLOAD_START';
export const INLINE_HELP_SEARCH_REQUEST = 'INLINE_HELP_SEARCH_REQUEST';
export const INLINE_HELP_SEARCH_RESET = 'INLINE_HELP_SEARCH_RESET';
export const INLINE_HELP_SEARCH_REQUEST_FAILURE = 'INLINE_HELP_SEARCH_REQUEST_FAILURE';
export const INLINE_HELP_SEARCH_REQUEST_SUCCESS = 'INLINE_HELP_SEARCH_REQUEST_SUCCESS';
export const INLINE_HELP_SEARCH_REQUEST_API_RESULTS = 'INLINE_HELP_SEARCH_REQUEST_API_RESULTS';
export const INLINE_HELP_SET_SEARCH_QUERY = 'INLINE_HELP_SET_SEARCH_QUERY';
export const INLINE_HELP_SELECT_RESULT = 'INLINE_HELP_SELECT_RESULT';
export const INLINE_HELP_POPOVER_HIDE = 'INLINE_HELP_POPOVER_HIDE';
export const INLINE_HELP_POPOVER_SHOW = 'INLINE_HELP_POPOVER_SHOW';
export const INLINE_HELP_SHOW = 'INLINE_HELP_SHOW';
export const INLINE_HELP_HIDE = 'INLINE_HELP_HIDE';
export const INLINE_HELP_CONTACT_FORM_RESET = 'INLINE_HELP_CONTACT_FORM_RESET';
export const INLINE_HELP_CONTACT_FORM_SHOW_QANDA = 'INLINE_HELP_CONTACT_FORM_SHOW_QANDA';
export const INVITES_DELETE_REQUEST = 'INVITES_DELETE_REQUEST';
export const INVITES_DELETE_REQUEST_FAILURE = 'INVITES_DELETE_REQUEST_FAILURE';
export const INVITES_DELETE_REQUEST_SUCCESS = 'INVITES_DELETE_REQUEST_SUCCESS';
export const INVITES_REQUEST = 'INVITES_REQUEST';
export const INVITES_REQUEST_FAILURE = 'INVITES_REQUEST_FAILURE';
export const INVITES_REQUEST_SUCCESS = 'INVITES_REQUEST_SUCCESS';
export const INVITE_RESEND_REQUEST = 'INVITE_RESEND_REQUEST';
export const INVITE_RESEND_REQUEST_FAILURE = 'INVITE_RESEND_REQUEST_FAILURE';
export const INVITE_RESEND_REQUEST_SUCCESS = 'INVITE_RESEND_REQUEST_SUCCESS';
export const JETPACK_CONNECTION_STATUS_RECEIVE = 'JETPACK_CONNECTION_STATUS_RECEIVE';
export const JETPACK_CONNECTION_STATUS_REQUEST = 'JETPACK_CONNECTION_STATUS_REQUEST';
export const JETPACK_CONNECTION_STATUS_REQUEST_FAILURE =
	'JETPACK_CONNECTION_STATUS_REQUEST_FAILURE';
export const JETPACK_CONNECTION_STATUS_REQUEST_SUCCESS =
	'JETPACK_CONNECTION_STATUS_REQUEST_SUCCESS';
export const JETPACK_CREDENTIALS_AUTOCONFIGURE = 'JETPACK_CREDENTIALS_AUTOCONFIGURE';
export const JETPACK_CREDENTIALS_DELETE = 'JETPACK_CREDENTIALS_DELETE';
export const JETPACK_CREDENTIALS_STORE = 'JETPACK_CREDENTIALS_STORE';
export const JETPACK_CREDENTIALS_UPDATE = 'JETPACK_CREDENTIALS_UPDATE';
export const JETPACK_CREDENTIALS_UPDATE_SUCCESS = 'JETPACK_CREDENTIALS_UPDATE_SUCCESS';
export const JETPACK_CREDENTIALS_UPDATE_FAILURE = 'JETPACK_CREDENTIALS_UPDATE_FAILURE';
export const JETPACK_DISCONNECT_RECEIVE = 'JETPACK_DISCONNECT_RECEIVE';
export const JETPACK_DISCONNECT_REQUEST = 'JETPACK_DISCONNECT_REQUEST';
export const JETPACK_DISCONNECT_REQUEST_FAILURE = 'JETPACK_DISCONNECT_REQUEST_FAILURE';
export const JETPACK_DISCONNECT_REQUEST_SUCCESS = 'JETPACK_DISCONNECT_REQUEST_SUCCESS';
export const JETPACK_MODULES_RECEIVE = 'JETPACK_MODULES_RECEIVE';
export const JETPACK_MODULES_REQUEST = 'JETPACK_MODULES_REQUEST';
export const JETPACK_MODULES_REQUEST_FAILURE = 'JETPACK_MODULES_REQUEST_FAILURE';
export const JETPACK_MODULES_REQUEST_SUCCESS = 'JETPACK_MODULES_REQUEST_SUCCESS';
export const JETPACK_MODULE_ACTIVATE = 'JETPACK_MODULE_ACTIVATE';
export const JETPACK_MODULE_ACTIVATE_FAILURE = 'JETPACK_MODULE_ACTIVATE_FAILURE';
export const JETPACK_MODULE_ACTIVATE_SUCCESS = 'JETPACK_MODULE_ACTIVATE_SUCCESS';
export const JETPACK_MODULE_DEACTIVATE = 'JETPACK_MODULE_DEACTIVATE';
export const JETPACK_MODULE_DEACTIVATE_FAILURE = 'JETPACK_MODULE_DEACTIVATE_FAILURE';
export const JETPACK_MODULE_DEACTIVATE_SUCCESS = 'JETPACK_MODULE_DEACTIVATE_SUCCESS';
export const JETPACK_PRODUCT_INSTALL_REQUEST = 'JETPACK_PRODUCT_INSTALL_REQUEST';
export const JETPACK_PRODUCT_INSTALL_STATUS_RECEIVE = 'JETPACK_PRODUCT_INSTALL_STATUS_RECEIVE';
export const JETPACK_PRODUCT_INSTALL_STATUS_REQUEST = 'JETPACK_PRODUCT_INSTALL_STATUS_REQUEST';
export const JETPACK_REMOTE_INSTALL = 'JETPACK_REMOTE_INSTALL';
export const JETPACK_REMOTE_INSTALL_FAILURE = 'JETPACK_REMOTE_INSTALL_FAILURE';
export const JETPACK_REMOTE_INSTALL_SUCCESS = 'JETPACK_REMOTE_INSTALL_SUCCESS';
export const JETPACK_SCAN_ENQUEUE_REQUEST = 'JETPACK_SCAN_ENQUEUE_REQUEST';
export const JETPACK_SCAN_ENQUEUE_REQUEST_SUCCESS = 'JETPACK_SCAN_ENQUEUE_REQUEST_SUCCESS';
export const JETPACK_SCAN_ENQUEUE_REQUEST_FAILURE = 'JETPACK_SCAN_ENQUEUE_REQUEST_FAILURE';
export const JETPACK_SCAN_ENQUEUE_UPDATE = 'JETPACK_SCAN_ENQUEUE_UPDATE';
export const JETPACK_SCAN_HISTORY_REQUEST = 'JETPACK_SCAN_HISTORY_REQUEST';
export const JETPACK_SCAN_HISTORY_REQUEST_SUCCESS = '	JETPACK_SCAN_HISTORY_REQUEST_SUCCESS';
export const JETPACK_SCAN_HISTORY_REQUEST_FAILURE = '	JETPACK_SCAN_HISTORY_REQUEST_FAILURE';
export const JETPACK_SCAN_HISTORY_UPDATE = 'JETPACK_SCAN_HISTORY_UPDATE';
export const JETPACK_SCAN_REQUEST = 'JETPACK_SCAN_REQUEST';
export const JETPACK_SCAN_REQUEST_FAILURE = 'JETPACK_SCAN_REQUEST_FAILURE';
export const JETPACK_SCAN_REQUEST_SUCCESS = 'JETPACK_SCAN_REQUEST_SUCCESS';
export const JETPACK_SCAN_UPDATE = 'JETPACK_SCAN_UPDATE';
export const JETPACK_SCAN_THREATS_FIX_ALL = 'JETPACK_SCAN_THREATS_FIX_ALL';
export const JETPACK_SCAN_THREAT_FIX = 'JETPACK_SCAN_THREAT_FIX';
export const JETPACK_SCAN_THREAT_IGNORE = 'JETPACK_SCAN_THREAT_IGNORE';
export const JETPACK_SCAN_UPDATE_THREAT = 'JETPACK_SCAN_UPDATE_THREAT';
export const JETPACK_SCAN_UPDATE_THREAT_COMPLETED = 'JETPACK_SCAN_UPDATE_THREAT_COMPLETED';
export const JETPACK_SETTINGS_REQUEST = 'JETPACK_SETTINGS_REQUEST';
export const JETPACK_SETTINGS_SAVE = 'JETPACK_SETTINGS_SAVE';
export const JETPACK_SETTINGS_SAVE_SUCCESS = 'JETPACK_SETTINGS_SAVE_SUCCESS';
export const JETPACK_SETTINGS_UPDATE = 'JETPACK_SETTINGS_UPDATE';
export const JETPACK_SITE_ALERT_THREAT_FIX = 'JETPACK_SITE_ALERT_THREAT_FIX';
export const JETPACK_SITE_ALERT_THREAT_IGNORE = 'JETPACK_SITE_ALERT_THREAT_IGNORE';
export const JETPACK_SYNC_START_ERROR = 'JETPACK_SYNC_START_ERROR';
export const JETPACK_SYNC_START_REQUEST = 'JETPACK_SYNC_START_REQUEST';
export const JETPACK_SYNC_START_SUCCESS = 'JETPACK_SYNC_START_SUCCESS';
export const JETPACK_SYNC_STATUS_ERROR = 'JETPACK_SYNC_STATUS_ERROR';
export const JETPACK_SYNC_STATUS_REQUEST = 'JETPACK_SYNC_STATUS_REQUEST';
export const JETPACK_SYNC_STATUS_SUCCESS = 'JETPACK_SYNC_STATUS_SUCCESS';
export const JETPACK_USER_CONNECTION_CHANGE_OWNER = 'JETPACK_USER_CONNECTION_CHANGE_OWNER';
export const JETPACK_USER_CONNECTION_DATA_RECEIVE = 'JETPACK_USER_CONNECTION_DATA_RECEIVE';
export const JETPACK_USER_CONNECTION_DATA_REQUEST = 'JETPACK_USER_CONNECTION_DATA_REQUEST';
export const JETPACK_USER_CONNECTION_DATA_REQUEST_FAILURE =
	'JETPACK_USER_CONNECTION_DATA_REQUEST_FAILURE';
export const JETPACK_USER_CONNECTION_DATA_REQUEST_SUCCESS =
	'JETPACK_USER_CONNECTION_DATA_REQUEST_SUCCESS';
export const JITM_SET = 'JITM_SET';
export const JITM_DISMISS = 'JITM_DISMISS';
export const JITM_FETCH = 'JITM_FETCH';
export const KEYRING_CONNECTIONS_RECEIVE = 'KEYRING_CONNECTIONS_RECEIVE';
export const KEYRING_CONNECTIONS_REQUEST = 'KEYRING_CONNECTIONS_REQUEST';
export const KEYRING_CONNECTIONS_REQUEST_FAILURE = 'KEYRING_CONNECTIONS_REQUEST_FAILURE';
export const KEYRING_CONNECTIONS_REQUEST_SUCCESS = 'KEYRING_CONNECTIONS_REQUEST_SUCCESS';
export const KEYRING_CONNECTION_DELETE = 'KEYRING_CONNECTION_DELETE';
export const KEYRING_CONNECTION_DELETE_FAILURE = 'KEYRING_CONNECTION_DELETE_FAILURE';
export const KEYRING_SERVICES_RECEIVE = 'KEYRING_SERVICES_RECEIVE';
export const KEYRING_SERVICES_REQUEST = 'KEYRING_SERVICES_REQUEST';
export const KEYRING_SERVICES_REQUEST_FAILURE = 'KEYRING_SERVICES_REQUEST_FAILURE';
export const KEYRING_SERVICES_REQUEST_SUCCESS = 'KEYRING_SERVICES_REQUEST_SUCCESS';
export const LASAGNA_SOCKET_CONNECTED = 'LASAGNA_SOCKET_CONNECTED';
export const LASAGNA_SOCKET_DISCONNECTED = 'LASAGNA_SOCKET_DISCONNECTED';
export const LAYOUT_FOCUS_SET = 'LAYOUT_FOCUS_SET';
export const LAYOUT_NEXT_FOCUS_ACTIVATE = 'LAYOUT_NEXT_FOCUS_ACTIVATE';
export const LAYOUT_NEXT_FOCUS_SET = 'LAYOUT_NEXT_FOCUS_SET';
export const LEGAL_REQUEST = 'LEGAL_REQUEST';
export const LEGAL_SET = 'LEGAL_SET';
export const LOCALE_SET = 'LOCALE_SET';
export const LOGIN_AUTH_ACCOUNT_TYPE_REQUEST = 'LOGIN_AUTH_ACCOUNT_TYPE_REQUEST';
export const LOGIN_AUTH_ACCOUNT_TYPE_REQUESTING = 'LOGIN_AUTH_ACCOUNT_TYPE_REQUESTING';
export const LOGIN_AUTH_ACCOUNT_TYPE_REQUEST_FAILURE = 'LOGIN_AUTH_ACCOUNT_TYPE_REQUEST_FAILURE';
export const LOGIN_AUTH_ACCOUNT_TYPE_REQUEST_SUCCESS = 'LOGIN_AUTH_ACCOUNT_TYPE_REQUEST_SUCCESS';
export const LOGIN_AUTH_ACCOUNT_TYPE_RESET = 'LOGIN_AUTH_ACCOUNT_TYPE_RESET';
export const LOGIN_EMAIL_SEND = 'LOGIN_EMAIL_SEND';
export const LOGIN_FORM_UPDATE = 'LOGIN_FORM_UPDATE';
export const LOGIN_REQUEST = 'LOGIN_REQUEST';
export const LOGIN_REQUEST_FAILURE = 'LOGIN_REQUEST_FAILURE';
export const LOGIN_REQUEST_SUCCESS = 'LOGIN_REQUEST_SUCCESS';
export const LOGSTASH = 'LOGSTASH';
export const OAUTH2_CLIENT_DATA_RECEIVE = 'OAUTH2_CLIENT_DATA_RECEIVE';
export const MAGIC_LOGIN_HIDE_REQUEST_FORM = 'MAGIC_LOGIN_HIDE_REQUEST_FORM';
export const MAGIC_LOGIN_HIDE_REQUEST_NOTICE = 'MAGIC_LOGIN_HIDE_REQUEST_NOTICE';
export const MAGIC_LOGIN_REQUEST_AUTH_ERROR = 'MAGIC_LOGIN_REQUEST_AUTH_ERROR';
export const MAGIC_LOGIN_REQUEST_AUTH_FETCH = 'MAGIC_LOGIN_REQUEST_AUTH_FETCH';
export const MAGIC_LOGIN_REQUEST_AUTH_SUCCESS = 'MAGIC_LOGIN_REQUEST_AUTH_SUCCESS';
export const MAGIC_LOGIN_REQUEST_LOGIN_EMAIL_ERROR = 'MAGIC_LOGIN_REQUEST_LOGIN_EMAIL_ERROR';
export const MAGIC_LOGIN_REQUEST_LOGIN_EMAIL_FETCH = 'MAGIC_LOGIN_REQUEST_LOGIN_EMAIL_FETCH';
export const MAGIC_LOGIN_REQUEST_LOGIN_EMAIL_SUCCESS = 'MAGIC_LOGIN_REQUEST_LOGIN_EMAIL_SUCCESS';
export const MAGIC_LOGIN_RESET_REQUEST_FORM = 'MAGIC_LOGIN_RESET_REQUEST_FORM';
export const MAGIC_LOGIN_SHOW_CHECK_YOUR_EMAIL_PAGE = 'MAGIC_LOGIN_SHOW_CHECK_YOUR_EMAIL_PAGE';
export const MAGIC_LOGIN_SHOW_INTERSTITIAL_PAGE = 'MAGIC_LOGIN_SHOW_INTERSTITIAL_PAGE';
export const MAGIC_LOGIN_SHOW_LINK_EXPIRED = 'MAGIC_LOGIN_SHOW_LINK_EXPIRED';
export const MASTERBAR_TOGGLE_VISIBILITY = 'MASTERBAR_TOGGLE_VISIBILITY';
export const MARKETING_CLICK_UPGRADE_NUDGE = 'MARKETING_CLICK_UPGRADE_NUDGE';
export const MEDIA_DELETE = 'MEDIA_DELETE';
export const MEDIA_ITEM_DELETE = 'MEDIA_ITEM_DELETE';
export const MEDIA_ERRORS_CLEAR = 'MEDIA_ERRORS_CLEAR';
export const MEDIA_ITEM_CREATE = 'MEDIA_ITEM_CREATE';
export const MEDIA_ITEM_UPDATE = 'MEDIA_ITEM_UPDATE';
export const MEDIA_ITEM_EDIT = 'MEDIA_ITEM_EDIT';
export const MEDIA_ITEM_ERRORS_CLEAR = 'MEDIA_ITEM_ERRORS_CLEAR';
export const MEDIA_ITEM_ERRORS_SET = 'MEDIA_ITEM_ERRORS_SET';
export const MEDIA_ITEM_REQUEST = 'MEDIA_ITEM_REQUEST';
export const MEDIA_ITEM_REQUEST_FAILURE = 'MEDIA_ITEM_REQUEST_FAILURE';
export const MEDIA_ITEM_REQUEST_SUCCESS = 'MEDIA_ITEM_REQUEST_SUCCESS';
export const MEDIA_LIBRARY_SELECTED_ITEMS_UPDATE = 'MEDIA_LIBRARY_SELECTED_ITEMS_UPDATE';
export const MEDIA_MODAL_VIEW_SET = 'MEDIA_MODAL_VIEW_SET';
export const MEDIA_RECEIVE = 'MEDIA_RECEIVE';
export const MEDIA_REQUEST = 'MEDIA_REQUEST';
export const MEDIA_REQUEST_FAILURE = 'MEDIA_REQUEST_FAILURE';
export const MEDIA_REQUEST_SUCCESS = 'MEDIA_REQUEST_SUCCESS';
export const MEDIA_SOURCE_CHANGE = 'MEDIA_SOURCE_CHANGE';
export const MEDIA_SET_NEXT_PAGE_HANDLE = 'MEDIA_SET_NEXT_PAGE_HANDLE';
export const MEDIA_SET_QUERY = 'MEDIA_SET_QUERY';
export const MEDIA_CLEAR_SITE = 'MEDIA_CLEAR_SITE';
export const MEMBERSHIPS_CONNECTED_ACCOUNTS_LIST = 'MEMBERSHIPS_CONNECTED_ACCOUNTS_LIST';
export const MEMBERSHIPS_CONNECTED_ACCOUNTS_STRIPE_AUTHORIZE_REQUEST =
	'MEMBERSHIPS_CONNECTED_ACCOUNTS_STRIPE_AUTHORIZE_REQUEST';
export const MEMBERSHIPS_CONNECTED_ACCOUNTS_RECEIVE = 'MEMBERSHIPS_CONNECTED_ACCOUNTS_RECEIVE';
export const MEMBERSHIPS_CONNECTED_ACCOUNTS_STRIPE_DISCONNECT_SUCCESS =
	'MEMBERSHIPS_CONNECTED_ACCOUNTS_STRIPE_DISCONNECT_SUCCESS';
export const MEMBERSHIPS_PRODUCTS_RECEIVE = 'MEMBERSHIPS_PRODUCTS_RECEIVE';
export const MEMBERSHIPS_PRODUCTS_LIST = 'MEMBERSHIPS_PRODUCTS_LIST';
export const MEMBERSHIPS_PRODUCT_RECEIVE = 'MEMBERSHIPS_PRODUCT_RECEIVE';
export const MEMBERSHIPS_PRODUCT_ADD = 'MEMBERSHIPS_PRODUCT_ADD';
export const MEMBERSHIPS_PRODUCT_ADD_FAILURE = 'MEMBERSHIPS_PRODUCT_ADD_FAILURE';
export const MEMBERSHIPS_PRODUCT_UPDATE = 'MEMBERSHIPS_PRODUCT_UPDATE';
export const MEMBERSHIPS_PRODUCT_UPDATE_FAILURE = 'MEMBERSHIPS_PRODUCT_UPDATE_FAILURE';
export const MEMBERSHIPS_PRODUCT_DELETE = 'MEMBERSHIPS_PRODUCT_DELETE';
export const MEMBERSHIPS_PRODUCT_DELETE_FAILURE = 'MEMBERSHIPS_PRODUCT_DELETE_FAILURE';
export const MEMBERSHIPS_SUBSCRIPTIONS_LIST_REQUEST = 'MEMBERSHIPS_SUBSCRIPTIONS_LIST_REQUEST';
export const MEMBERSHIPS_SUBSCRIPTIONS_RECEIVE = 'MEMBERSHIPS_SUBSCRIPTIONS_RECEIVE';
export const MEMBERSHIPS_SUBSCRIPTION_STOP = 'MEMBERSHIPS_SUBSCRIPTION_STOP';
export const MEMBERSHIPS_SUBSCRIPTION_STOP_SUCCESS = 'MEMBERSHIPS_SUBSCRIPTION_STOP_SUCCESS';
export const MEMBERSHIPS_SUBSCRIPTION_STOP_FAILURE = 'MEMBERSHIPS_SUBSCRIPTION_STOP_FAILURE';
export const MEMBERSHIPS_SETTINGS = 'MEMBERSHIPS_SETTINGS';
export const MEMBERSHIPS_SETTINGS_RECEIVE = 'MEMBERSHIPS_SETTINGS_RECEIVE';
export const MEMBERSHIPS_EARNINGS_GET = 'MEMBERSHIPS_EARNINGS_GET';
export const MEMBERSHIPS_EARNINGS_RECEIVE = 'MEMBERSHIPS_EARNINGS_RECEIVE';
export const MEMBERSHIPS_SUBSCRIBERS_LIST = 'MEMBERSHIPS_SUBSCRIBERS_LIST';
export const MEMBERSHIPS_SUBSCRIBERS_RECEIVE = 'MEMBERSHIPS_SUBSCRIBERS_RECEIVE';
export const MAILCHIMP_LISTS_RECEIVE = 'MAILCHIMP_LISTS_RECEIVE';
export const MAILCHIMP_LISTS_LIST = 'MAILCHIMP_LISTS_LIST';
export const MAILCHIMP_SETTINGS_RECEIVE = 'MAILCHIMP_SETTINGS_RECEIVE';
export const MAILCHIMP_SETTINGS_LIST = 'MAILCHIMP_SETTINGS_LIST';
export const MAILCHIMP_SETTINGS_UPDATE = 'MAILCHIMP_SETTINGS_UPDATE';
export const MAILCHIMP_SETTINGS_UPDATE_SUCCESS = 'MAILCHIMP_SETTINGS_UPDATE_SUCCESS';
export const MAILCHIMP_SETTINGS_UPDATE_FAILURE = 'MAILCHIMP_SETTINGS_UPDATE_FAILURE';
export const MY_SITES_SIDEBAR_SECTION_TOGGLE = 'MY_SITES_SIDEBAR_SECTION_TOGGLE';
export const MY_SITES_SIDEBAR_SECTION_EXPAND = 'MY_SITES_SIDEBAR_SECTION_EXPAND';
export const MY_SITES_SIDEBAR_SECTION_COLLAPSE = 'MY_SITES_SIDEBAR_SECTION_COLLAPSE';
export const NAVIGATE = 'NAVIGATE';
export const NOTICE_CREATE = 'NOTICE_CREATE';
export const NOTICE_REMOVE = 'NOTICE_REMOVE';
export const NOTIFICATION_SETTINGS_FETCH = 'NOTIFICATION_SETTINGS_FETCH';
export const NOTIFICATION_SETTINGS_FETCH_COMPLETE = 'NOTIFICATION_SETTINGS_FETCH_COMPLETE';
export const NOTIFICATION_SETTINGS_FETCH_FAILED = 'NOTIFICATION_SETTINGS_FETCH_FAILED';
export const NOTIFICATION_SETTINGS_REQUEST = 'NOTIFICATION_SETTINGS_REQUEST';
export const NOTIFICATION_SETTINGS_SAVE = 'NOTIFICATION_SETTINGS_SAVE';
export const NOTIFICATION_SETTINGS_SAVE_COMPLETE = 'NOTIFICATION_SETTINGS_SAVE_COMPLETE';
export const NOTIFICATION_SETTINGS_SAVE_FAILED = 'NOTIFICATION_SETTINGS_SAVE_FAILED';
export const NOTIFICATION_SETTINGS_TOGGLE_SETTING = 'NOTIFICATION_SETTINGS_TOGGLE_SETTING';
export const NOTIFICATION_SETTINGS_UPDATE = 'NOTIFICATION_SETTINGS_UPDATE';
export const NOTIFICATIONS_PANEL_NEW_NOTE = 'NOTIFICATIONS_PANEL_NEW_NOTE';
export const NOTIFICATIONS_PANEL_TOGGLE = 'NOTIFICATIONS_PANEL_TOGGLE';
export const NOTIFICATIONS_UNSEEN_COUNT_SET = 'NOTIFICATIONS_UNSEEN_COUNT_SET';
export const NPS_SURVEY_DIALOG_IS_SHOWING = 'NPS_SURVEY_DIALOG_IS_SHOWING';
export const NPS_SURVEY_MARK_SHOWN_THIS_SESSION = 'NPS_SURVEY_MARK_SHOWN_THIS_SESSION';
export const NPS_SURVEY_SET_ELIGIBILITY = 'NPS_SURVEY_SET_ELIGIBILITY';
export const NPS_SURVEY_SET_CONCIERGE_SESSION_AVAILABILITY =
	'NPS_SURVEY_SET_CONCIERGE_SESSION_AVAILABILITY';
export const NPS_SURVEY_SUBMIT_REQUESTING = 'NPS_SURVEY_SUBMIT_REQUESTING';
export const NPS_SURVEY_SUBMIT_REQUEST_FAILURE = 'NPS_SURVEY_SUBMIT_FAILURE';
export const NPS_SURVEY_SUBMIT_REQUEST_SUCCESS = 'NPS_SURVEY_SUBMIT_SUCCESS';
export const NPS_SURVEY_SUBMIT_WITH_NO_SCORE_REQUESTING =
	'NPS_SURVEY_SUBMIT_WITH_NO_SCORE_REQUESTING';
export const NPS_SURVEY_SUBMIT_WITH_NO_SCORE_REQUEST_FAILURE =
	'NPS_SURVEY_SUBMIT_WITH_NO_SCORE_FAILURE';
export const NPS_SURVEY_SUBMIT_WITH_NO_SCORE_REQUEST_SUCCESS =
	'NPS_SURVEY_SUBMIT_WITH_NO_SCORE_SUCCESS';
export const NPS_SURVEY_SEND_FEEDBACK_REQUESTING = 'NPS_SURVEY_SEND_FEEDBACK_REQUESTING';
export const NPS_SURVEY_SEND_FEEDBACK_REQUEST_FAILURE = 'NPS_SURVEY_SEND_FEEDBACK_REQUEST_FAILURE';
export const NPS_SURVEY_SEND_FEEDBACK_REQUEST_SUCCESS = 'NPS_SURVEY_SEND_FEEDBACK_REQUEST_SUCCESS';
export const PAGE_TEMPLATES_RECEIVE = 'PAGE_TEMPLATES_RECEIVE';
export const PAGE_TEMPLATES_REQUEST = 'PAGE_TEMPLATES_REQUEST';
export const PAGE_TEMPLATES_REQUEST_FAILURE = 'PAGE_TEMPLATES_REQUEST_FAILURE';
export const PAGE_TEMPLATES_REQUEST_SUCCESS = 'PAGE_TEMPLATES_REQUEST_SUCCESS';
export const PAYMENT_COUNTRY_CODE_SET = 'PAYMENT_COUNTRY_CODE_SET';
export const PAYMENT_POSTAL_CODE_SET = 'PAYMENT_POSTAL_CODE_SET';
export const PLANS_RECEIVE = 'PLANS_RECEIVE';
export const PLANS_REQUEST = 'PLANS_REQUEST';
export const PLANS_REQUEST_FAILURE = 'PLANS_REQUEST_FAILURE';
export const PLANS_REQUEST_SUCCESS = 'PLANS_REQUEST_SUCCESS';
export const PLUGINS_RECEIVE = 'PLUGINS_RECEIVE';
export const PLUGINS_REQUEST = 'PLUGINS_REQUEST';
export const PLUGINS_REQUEST_FAILURE = 'PLUGINS_REQUEST_FAILURE';
export const PLUGINS_REQUEST_SUCCESS = 'PLUGINS_REQUEST_SUCCESS';
export const PLUGINS_RECOMMENDED_RECEIVE = 'PLUGINS_RECOMMENDED_RECEIVE';
export const PLUGINS_RECOMMENDED_REQUEST = 'PLUGINS_RECOMMENDED_REQUEST';
export const PLUGINS_RECOMMENDED_REQUEST_FAILURE = 'PLUGINS_RECOMMENDED_REQUEST_FAILURE';
export const PLUGIN_ACTIVATE_REQUEST = 'PLUGINS_ACTIVATE_REQUEST';
export const PLUGIN_ACTIVATE_REQUEST_FAILURE = 'PLUGINS_ACTIVATE_REQUEST_FAILURE';
export const PLUGIN_ACTIVATE_REQUEST_SUCCESS = 'PLUGINS_ACTIVATE_REQUEST_SUCCESS';
export const PLUGIN_AUTOUPDATE_DISABLE_REQUEST = 'PLUGIN_AUTOUPDATE_DISABLE_REQUEST';
export const PLUGIN_AUTOUPDATE_DISABLE_REQUEST_FAILURE =
	'PLUGIN_AUTOUPDATE_DISABLE_REQUEST_FAILURE';
export const PLUGIN_AUTOUPDATE_DISABLE_REQUEST_SUCCESS =
	'PLUGIN_AUTOUPDATE_DISABLE_REQUEST_SUCCESS';
export const PLUGIN_AUTOUPDATE_ENABLE_REQUEST = 'PLUGIN_AUTOUPDATE_ENABLE_REQUEST';
export const PLUGIN_AUTOUPDATE_ENABLE_REQUEST_FAILURE = 'PLUGIN_AUTOUPDATE_ENABLE_REQUEST_FAILURE';
export const PLUGIN_AUTOUPDATE_ENABLE_REQUEST_SUCCESS = 'PLUGIN_AUTOUPDATE_ENABLE_REQUEST_SUCCESS';
export const PLUGIN_DEACTIVATE_REQUEST = 'PLUGIN_DEACTIVATE_REQUEST';
export const PLUGIN_DEACTIVATE_REQUEST_FAILURE = 'PLUGIN_DEACTIVATE_REQUEST_FAILURE';
export const PLUGIN_DEACTIVATE_REQUEST_SUCCESS = 'PLUGIN_DEACTIVATE_REQUEST_SUCCESS';
export const PLUGIN_INSTALL_REQUEST = 'PLUGIN_INSTALL_REQUEST';
export const PLUGIN_INSTALL_REQUEST_FAILURE = 'PLUGIN_INSTALL_REQUEST_FAILURE';
export const PLUGIN_INSTALL_REQUEST_SUCCESS = 'PLUGIN_INSTALL_REQUEST_SUCCESS';
export const PLUGIN_REMOVE_REQUEST = 'PLUGIN_REMOVE_REQUEST';
export const PLUGIN_REMOVE_REQUEST_FAILURE = 'PLUGIN_REMOVE_REQUEST_FAILURE';
export const PLUGIN_REMOVE_REQUEST_SUCCESS = 'PLUGIN_REMOVE_REQUEST_SUCCESS';
export const PLUGIN_SETUP_ACTIVATE = 'PLUGIN_SETUP_ACTIVATE';
export const PLUGIN_SETUP_CONFIGURE = 'PLUGIN_SETUP_CONFIGURE';
export const PLUGIN_SETUP_ERROR = 'PLUGIN_SETUP_ERROR';
export const PLUGIN_SETUP_FINISH = 'PLUGIN_SETUP_FINISH';
export const PLUGIN_SETUP_INSTALL = 'PLUGIN_SETUP_INSTALL';
export const PLUGIN_SETUP_INSTRUCTIONS_FETCH = 'PLUGIN_SETUP_INSTRUCTIONS_FETCH';
export const PLUGIN_SETUP_INSTRUCTIONS_RECEIVE = 'PLUGIN_SETUP_INSTRUCTIONS_RECEIVE';
export const PLUGIN_UPDATE_REQUEST = 'PLUGINS_UPDATE_REQUEST';
export const PLUGIN_UPDATE_REQUEST_FAILURE = 'PLUGIN_UPDATE_REQUEST_FAILURE';
export const PLUGIN_UPDATE_REQUEST_SUCCESS = 'PLUGIN_UPDATE_REQUEST_SUCCESS';
export const PLUGIN_UPLOAD = 'PLUGIN_UPLOAD';
export const PLUGIN_UPLOAD_CLEAR = 'PLUGIN_UPLOAD_CLEAR';
export const PLUGIN_UPLOAD_COMPLETE = 'PLUGIN_UPLOAD_COMPLETE';
export const PLUGIN_UPLOAD_ERROR = 'PLUGIN_UPLOAD_ERROR';
export const PLUGIN_UPLOAD_PROGRESS = 'PLUGIN_UPLOAD_PROGRESS';
export const POSTS_RECEIVE = 'POSTS_RECEIVE';
export const POSTS_REQUEST = 'POSTS_REQUEST';
export const POSTS_REQUEST_FAILURE = 'POSTS_REQUEST_FAILURE';
export const POSTS_REQUEST_SUCCESS = 'POSTS_REQUEST_SUCCESS';
export const POST_COUNTS_RECEIVE = 'POST_COUNTS_RECEIVE';
export const POST_COUNTS_REQUEST = 'POST_COUNTS_REQUEST';
export const POST_COUNTS_REQUEST_FAILURE = 'POST_COUNTS_REQUEST_FAILURE';
export const POST_COUNTS_REQUEST_SUCCESS = 'POST_COUNTS_REQUEST_SUCCESS';
export const POST_COUNTS_RESET_INTERNAL_STATE = 'POST_COUNTS_RESET_INTERNAL_STATE';
export const POST_DELETE = 'POST_DELETE';
export const POST_DELETE_FAILURE = 'POST_DELETE_FAILURE';
export const POST_DELETE_SUCCESS = 'POST_DELETE_SUCCESS';
export const POST_EDIT = 'POST_EDIT';
export const POST_FORMATS_RECEIVE = 'POST_FORMATS_RECEIVE';
export const POST_FORMATS_REQUEST = 'POST_FORMATS_REQUEST';
export const POST_FORMATS_REQUEST_FAILURE = 'POST_FORMATS_REQUEST_FAILURE';
export const POST_FORMATS_REQUEST_SUCCESS = 'POST_FORMATS_REQUEST_SUCCESS';
export const POST_GEO_IMAGE_RECEIVE = 'POST_GEO_IMAGE_RECEIVE';
export const POST_GEO_IMAGE_REQUEST = 'POST_GEO_IMAGE_REQUEST';
export const POST_LIKE = 'POST_LIKE';
export const POST_LIKES_ADD_LIKER = 'POST_LIKES_ADD_LIKER';
export const POST_LIKES_RECEIVE = 'POST_LIKES_RECEIVE';
export const POST_LIKES_REMOVE_LIKER = 'POST_LIKES_REMOVE_LIKER';
export const POST_LIKES_REQUEST = 'POST_LIKES_REQUEST';
export const POST_REQUEST = 'POST_REQUEST';
export const POST_REQUEST_FAILURE = 'POST_REQUEST_FAILURE';
export const POST_REQUEST_SUCCESS = 'POST_REQUEST_SUCCESS';
export const POST_RESTORE = 'POST_RESTORE';
export const POST_RESTORE_FAILURE = 'POST_RESTORE_FAILURE';
export const POST_RESTORE_SUCCESS = 'POST_RESTORE_SUCCESS';
export const POST_REVISIONS_DIALOG_CLOSE = 'POST_REVISIONS_DIALOG_CLOSE';
export const POST_REVISIONS_DIALOG_OPEN = 'POST_REVISIONS_DIALOG_OPEN';
export const POST_REVISIONS_DIFF_SPLIT_VIEW = 'POST_REVISIONS_DIFF_SPLIT_VIEW';
export const POST_REVISIONS_DIFF_UNIFY_VIEW = 'POST_REVISIONS_DIFF_UNIFY_VIEW';
export const POST_REVISIONS_RECEIVE = 'POST_REVISIONS_RECEIVE';
export const POST_REVISIONS_REQUEST = 'POST_REVISIONS_REQUEST';
export const POST_REVISIONS_SELECT = 'POST_REVISIONS_SELECT';
export const POST_SAVE = 'POST_SAVE';
export const POST_SAVE_FAILURE = 'POST_SAVE_FAILURE';
export const POST_SAVE_SUCCESS = 'POST_SAVE_SUCCESS';
export const POST_STATS_RECEIVE = 'POST_STATS_RECEIVE';
export const POST_STATS_REQUEST = 'POST_STATS_REQUEST';
export const POST_STATS_REQUEST_FAILURE = 'POST_STATS_REQUEST_FAILURE';
export const POST_STATS_REQUEST_SUCCESS = 'POST_STATS_REQUEST_SUCCESS';
export const POST_TYPE_LIST_SHARE_PANEL_HIDE = 'POST_TYPE_LIST_SHARE_PANEL_HIDE';
export const POST_TYPE_LIST_SHARE_PANEL_TOGGLE = 'POST_TYPE_LIST_SHARE_PANEL_TOGGLE';
export const POST_TYPES_RECEIVE = 'POST_TYPES_RECEIVE';
export const POST_TYPES_REQUEST = 'POST_TYPES_REQUEST';
export const POST_TYPES_TAXONOMIES_RECEIVE = 'POST_TYPES_TAXONOMIES_RECEIVE';
export const POST_TYPES_TAXONOMIES_REQUEST = 'POST_TYPES_TAXONOMIES_REQUEST';
export const POST_TYPES_TAXONOMIES_REQUEST_FAILURE = 'POST_TYPES_TAXONOMIES_REQUEST_FAILURE';
export const POST_TYPES_TAXONOMIES_REQUEST_SUCCESS = 'POST_TYPES_TAXONOMIES_REQUEST_SUCCESS';
export const POST_UNLIKE = 'POST_UNLIKE';
export const PREFERENCES_FETCH = 'PREFERENCES_FETCH';
export const PREFERENCES_FETCH_FAILURE = 'PREFERENCES_FETCH_FAILURE';
export const PREFERENCES_FETCH_SUCCESS = 'PREFERENCES_FETCH_SUCCESS';
export const PREFERENCES_RECEIVE = 'PREFERENCES_RECEIVE';
export const PREFERENCES_REMOVE = 'PREFERENCES_REMOVE';
export const PREFERENCES_SAVE = 'PREFERENCES_SAVE';
export const PREFERENCES_SAVE_FAILURE = 'PREFERENCES_SAVE_FAILURE';
export const PREFERENCES_SAVE_SUCCESS = 'PREFERENCES_SAVE_SUCCESS';
export const PREFERENCES_SET = 'PREFERENCES_SET';
export const PRESALE_PRECANCELLATION_CHAT_AVAILABILITY_SET =
	'PRESALE_PRECANCELLATION_CHAT_AVAILABILITY_SET';
export const PREVIEW_CUSTOMIZATIONS_CLEAR = 'PREVIEW_CUSTOMIZATIONS_CLEAR';
export const PREVIEW_CUSTOMIZATIONS_SAVED = 'PREVIEW_CUSTOMIZATIONS_SAVED';
export const PREVIEW_CUSTOMIZATIONS_UNDO = 'PREVIEW_CUSTOMIZATIONS_UNDO';
export const PREVIEW_CUSTOMIZATIONS_UPDATE = 'PREVIEW_CUSTOMIZATIONS_UPDATE';
export const PREVIEW_IS_SHOWING = 'PREVIEW_IS_SHOWING';
export const PREVIEW_MARKUP_RECEIVE = 'PREVIEW_MARKUP_RECEIVE';
export const PREVIEW_SITE_SET = 'PREVIEW_SITE_SET';
export const PREVIEW_URL_CLEAR = 'PREVIEW_URL_CLEAR';
export const PREVIEW_URL_SET = 'PREVIEW_URL_SET';
export const PRODUCTS_LIST_RECEIVE = 'PRODUCTS_LIST_RECEIVE';
export const PRODUCTS_LIST_REQUEST = 'PRODUCTS_LIST_REQUEST';
export const PRODUCTS_LIST_REQUEST_FAILURE = 'PRODUCTS_LIST_REQUEST_FAILURE';
export const PUBLICIZE_CONNECTIONS_RECEIVE = 'PUBLICIZE_CONNECTIONS_RECEIVE';
export const PUBLICIZE_CONNECTIONS_REQUEST = 'PUBLICIZE_CONNECTIONS_REQUEST';
export const PUBLICIZE_CONNECTIONS_REQUEST_FAILURE = 'PUBLICIZE_CONNECTIONS_REQUEST_FAILURE';
export const PUBLICIZE_CONNECTIONS_REQUEST_SUCCESS = 'PUBLICIZE_CONNECTIONS_REQUEST_SUCCESS';
export const PUBLICIZE_CONNECTION_CREATE = 'PUBLICIZE_CONNECTION_CREATE';
export const PUBLICIZE_CONNECTION_CREATE_FAILURE = 'PUBLICIZE_CONNECTION_CREATE_FAILURE';
export const PUBLICIZE_CONNECTION_DELETE = 'PUBLICIZE_CONNECTION_DELETE';
export const PUBLICIZE_CONNECTION_DELETE_FAILURE = 'PUBLICIZE_CONNECTION_DELETE_FAILURE';
export const PUBLICIZE_CONNECTION_RECEIVE = 'PUBLICIZE_CONNECTION_RECEIVE';
export const PUBLICIZE_CONNECTION_REQUEST = 'PUBLICIZE_CONNECTION_REQUEST';
export const PUBLICIZE_CONNECTION_REQUEST_FAILURE = 'PUBLICIZE_CONNECTION_REQUEST_FAILURE';
export const PUBLICIZE_CONNECTION_REQUEST_SUCCESS = 'PUBLICIZE_CONNECTION_REQUEST_SUCCESS';
export const PUBLICIZE_CONNECTION_UPDATE = 'PUBLICIZE_CONNECTION_UPDATE';
export const PUBLICIZE_CONNECTION_UPDATE_FAILURE = 'PUBLICIZE_CONNECTION_UPDATE_FAILURE';
export const PUBLICIZE_SHARE = 'PUBLICIZE_SHARE';
export const PUBLICIZE_SHARE_DISMISS = 'PUBLICIZE_SHARE_DISMISS';
export const PUBLICIZE_SHARE_FAILURE = 'PUBLICIZE_SHARE_FAILURE';
export const PUBLICIZE_SHARE_SUCCESS = 'PUBLICIZE_SHARE_SUCCESS';
export const PUBLICIZE_SHARE_ACTIONS_SCHEDULED_REQUEST =
	'PUBLICIZE_SHARE_ACTIONS_SCHEDULED_REQUEST';
export const PUBLICIZE_SHARE_ACTIONS_SCHEDULED_REQUEST_SUCCESS =
	'PUBLICIZE_SHARE_ACTIONS_SCHEDULED_REQUEST_SUCCESS';
export const PUBLICIZE_SHARE_ACTIONS_SCHEDULED_REQUEST_FAILURE =
	'PUBLICIZE_SHARE_ACTIONS_SCHEDULED_REQUEST_FAILURE';
export const PUBLICIZE_SHARE_ACTIONS_PUBLISHED_REQUEST =
	'PUBLICIZE_SHARE_ACTIONS_PUBLISHED_REQUEST';
export const PUBLICIZE_SHARE_ACTIONS_PUBLISHED_REQUEST_SUCCESS =
	'PUBLICIZE_SHARE_ACTIONS_PUBLISHED_REQUEST_SUCCESS';
export const PUBLICIZE_SHARE_ACTIONS_PUBLISHED_REQUEST_FAILURE =
	'PUBLICIZE_SHARE_ACTIONS_PUBLISHED_REQUEST_FAILURE';
export const PUBLICIZE_SHARE_ACTION_DELETE = 'PUBLICIZE_SHARE_ACTION_DELETE';
export const PUBLICIZE_SHARE_ACTION_DELETE_SUCCESS = 'PUBLICIZE_SHARE_ACTION_DELETE_SUCCESS';
export const PUBLICIZE_SHARE_ACTION_DELETE_FAILURE = 'PUBLICIZE_SHARE_ACTION_DELETE_FAILURE';
export const PUBLICIZE_SHARE_ACTION_EDIT = 'PUBLICIZE_SHARE_ACTION_EDIT';
export const PUBLICIZE_SHARE_ACTION_EDIT_SUCCESS = 'PUBLICIZE_SHARE_ACTION_EDIT_SUCCESS';
export const PUBLICIZE_SHARE_ACTION_EDIT_FAILURE = 'PUBLICIZE_SHARE_ACTION_EDIT_FAILURE';
export const PUBLICIZE_SHARE_ACTION_SCHEDULE = 'PUBLICIZE_SHARE_ACTION_SCHEDULE';
export const PUBLICIZE_SHARE_ACTION_SCHEDULE_SUCCESS = 'PUBLICIZE_SHARE_ACTION_SCHEDULE_SUCCESS';
export const PUBLICIZE_SHARE_ACTION_SCHEDULE_FAILURE = 'PUBLICIZE_SHARE_ACTION_SCHEDULE_FAILURE';
export const PURCHASES_REMOVE = 'PURCHASES_REMOVE';
export const PURCHASES_SITE_FETCH = 'PURCHASES_SITE_FETCH';
export const PURCHASES_SITE_FETCH_COMPLETED = 'PURCHASES_SITE_FETCH_COMPLETED';
export const PURCHASES_SITE_FETCH_FAILED = 'PURCHASES_SITE_FETCH_FAILED';
export const PURCHASES_USER_FETCH = 'PURCHASES_USER_FETCH';
export const PURCHASES_USER_FETCH_COMPLETED = 'PURCHASES_USER_FETCH_COMPLETED';
export const PURCHASES_USER_FETCH_FAILED = 'PURCHASES_USER_FETCH_FAILED';
export const PURCHASE_REMOVE_COMPLETED = 'PURCHASE_REMOVE_COMPLETED';
export const PURCHASE_REMOVE_FAILED = 'PURCHASE_REMOVE_FAILED';
export const PUSH_NOTIFICATIONS_API_NOT_READY = 'PUSH_NOTIFICATIONS_API_NOT_READY';
export const PUSH_NOTIFICATIONS_API_READY = 'PUSH_NOTIFICATIONS_API_READY';
export const PUSH_NOTIFICATIONS_AUTHORIZE = 'PUSH_NOTIFICATIONS_AUTHORIZE';
export const PUSH_NOTIFICATIONS_BLOCK = 'PUSH_NOTIFICATIONS_BLOCK';
export const PUSH_NOTIFICATIONS_MUST_PROMPT = 'PUSH_NOTIFICATIONS_MUST_PROMPT';
export const PUSH_NOTIFICATIONS_RECEIVE_REGISTER_DEVICE =
	'PUSH_NOTIFICATIONS_RECEIVE_REGISTER_DEVICE';
export const PUSH_NOTIFICATIONS_RECEIVE_UNREGISTER_DEVICE =
	'PUSH_NOTIFICATIONS_RECEIVE_UNREGISTER_DEVICE';
export const PUSH_NOTIFICATIONS_TOGGLE_ENABLED = 'PUSH_NOTIFICATIONS_TOGGLE_ENABLED';
export const PUSH_NOTIFICATIONS_TOGGLE_UNBLOCK_INSTRUCTIONS =
	'PUSH_NOTIFICATIONS_TOGGLE_UNBLOCK_INSTRUCTIONS';
export const PUSH_NOTIFICATIONS_UNREGISTER_DEVICE = 'PUSH_NOTIFICATIONS_UNREGISTER_DEVICE';
export const READER_UNSEEN_STATUS_REQUEST = 'READER_UNSEEN_STATUS_REQUEST';
export const READER_UNSEEN_STATUS_RECEIVE = 'READER_UNSEEN_STATUS_RECEIVE';
export const RECEIPT_FETCH = 'RECEIPT_FETCH';
export const RECEIPT_FETCH_COMPLETED = 'RECEIPT_FETCH_COMPLETED';
export const RECEIPT_FETCH_FAILED = 'RECEIPT_FETCH_FAILED';
export const REWIND_ACTIVATE_FAILURE = 'REWIND_ACTIVATE_FAILURE';
export const REWIND_ACTIVATE_REQUEST = 'REWIND_ACTIVATE_REQUEST';
export const REWIND_ACTIVATE_SUCCESS = 'REWIND_ACTIVATE_SUCCESS';
export const REWIND_CAPABILITIES_REQUEST = 'REWIND_CAPABILITIES_REQUEST';
export const REWIND_CAPABILITIES_UPDATE = 'REWIND_CAPABILITIES_UPDATE';
export const REWIND_CLONE = 'REWIND_CLONE';
export const REWIND_DEACTIVATE_FAILURE = 'REWIND_DEACTIVATE_FAILURE';
export const REWIND_DEACTIVATE_REQUEST = 'REWIND_DEACTIVATE_REQUEST';
export const REWIND_DEACTIVATE_SUCCESS = 'REWIND_DEACTIVATE_SUCCESS';
export const REWIND_RESTORE = 'REWIND_RESTORE';
export const REWIND_RESTORE_DISMISS = 'REWIND_RESTORE_DISMISS';
export const REWIND_RESTORE_DISMISS_PROGRESS = 'REWIND_RESTORE_DISMISS_PROGRESS';
export const REWIND_RESTORE_PROGRESS_REQUEST = 'REWIND_RESTORE_PROGRESS_REQUEST';
export const REWIND_RESTORE_REQUEST = 'REWIND_RESTORE_REQUEST';
export const REWIND_RESTORE_UPDATE_PROGRESS = 'REWIND_RESTORE_UPDATE_PROGRESS';
export const REWIND_STATE_REQUEST = 'REWIND_STATE_REQUEST';
export const REWIND_STATE_UPDATE = 'REWIND_STATE_UPDATE';
export const REWIND_BACKUP = 'REWIND_BACKUP';
export const REWIND_BACKUP_DISMISS = 'REWIND_BACKUP_DISMISS';
export const REWIND_BACKUP_DISMISS_PROGRESS = 'REWIND_BACKUP_DISMISS_PROGRESS';
export const REWIND_BACKUP_PROGRESS_REQUEST = 'REWIND_BACKUP_PROGRESS_REQUEST';
export const REWIND_BACKUP_REQUEST = 'REWIND_BACKUP_REQUEST';
export const REWIND_BACKUP_UPDATE_ERROR = 'REWIND_BACKUP_UPDATE_ERROR';
export const REWIND_BACKUP_UPDATE_PROGRESS = 'REWIND_BACKUP_UPDATE_PROGRESS';
export const REWIND_BACKUPS_SET = 'REWIND_BACKUPS_SET';
export const REWIND_BACKUPS_REQUEST = 'REWIND_BACKUPS_REQUEST';
export const ROUTE_CLEAR_LAST_NON_EDITOR = 'ROUTE_CLEAR_LAST_NON_EDITOR';
export const ROUTE_SET = 'ROUTE_SET';
export const SECTION_SET = 'SECTION_SET';
export const SECTION_LOADING_SET = 'SECTION_LOADING_SET';
export const SELECTED_SITE_SET = 'SELECTED_SITE_SET';
export const SEND_TO_PRINTER = 'SEND_TO_PRINTER';
export const SEO_TITLE_SET = 'SEO_TITLE_SET';
export const SERIALIZE = 'SERIALIZE';
export const SET_MEDIA_EXPORT_DATA = 'SET_MEDIA_EXPORT_DATA';
export const SHARING_BUTTONS_RECEIVE = 'SHARING_BUTTONS_RECEIVE';
export const SHARING_BUTTONS_REQUEST = 'SHARING_BUTTONS_REQUEST';
export const SHARING_BUTTONS_REQUEST_FAILURE = 'SHARING_BUTTONS_REQUEST_FAILURE';
export const SHARING_BUTTONS_REQUEST_SUCCESS = 'SHARING_BUTTONS_REQUEST_SUCCESS';
export const SHARING_BUTTONS_SAVE = 'SHARING_BUTTONS_SAVE';
export const SHARING_BUTTONS_SAVE_FAILURE = 'SHARING_BUTTONS_SAVE_FAILURE';
export const SHARING_BUTTONS_SAVE_SUCCESS = 'SHARING_BUTTONS_SAVE_SUCCESS';
export const SHARING_BUTTONS_UPDATE = 'SHARING_BUTTONS_UPDATE';
export const SHORTCODE_RECEIVE = 'SHORTCODE_RECEIVE';
export const SHORTCODE_REQUEST = 'SHORTCODE_REQUEST';
export const SHORTCODE_REQUEST_FAILURE = 'SHORTCODE_REQUEST_FAILURE';
export const SHORTCODE_REQUEST_SUCCESS = 'SHORTCODE_REQUEST_SUCCESS';
export const SIGNUP_CURRENT_FLOW_NAME_SET = 'SIGNUP_CURRENT_FLOW_NAME_SET';
export const SIGNUP_COMPLETE_RESET = 'SIGNUP_COMPLETE_RESET';
export const SIGNUP_DEPENDENCY_STORE_UPDATE = 'SIGNUP_DEPENDENCY_STORE_UPDATE';
export const SIGNUP_OPTIONAL_DEPENDENCY_SUGGESTED_USERNAME_SET =
	'SIGNUP_OPTIONAL_DEPENDENCY_SUGGESTED_USERNAME_SET';
export const SIGNUP_PROGRESS_COMPLETE_STEP = 'SIGNUP_PROGRESS_COMPLETE_STEP';
export const SIGNUP_PROGRESS_INVALIDATE_STEP = 'SIGNUP_PROGRESS_INVALIDATE_STEP';
export const SIGNUP_PROGRESS_PROCESS_STEP = 'SIGNUP_PROGRESS_PROCESS_STEP';
export const SIGNUP_PROGRESS_REMOVE_STEP = 'SIGNUP_PROGRESS_REMOVE_STEP';
export const SIGNUP_PROGRESS_SAVE_STEP = 'SIGNUP_PROGRESS_SAVE_STEP';
export const SIGNUP_PROGRESS_SUBMIT_STEP = 'SIGNUP_PROGRESS_SUBMIT_STEP';
export const SIGNUP_PROGRESS_ADD_STEP = 'SIGNUP_PROGRESS_ADD_STEP';
export const SIGNUP_SEGMENTS_REQUEST = 'SIGNUP_SEGMENTS_REQUEST';
export const SIGNUP_SEGMENTS_SET = 'SIGNUP_SEGMENTS_SET';
export const SIGNUP_SITE_PREVIEW_SHOW = 'SIGNUP_SITE_PREVIEW_SHOW';
export const SIGNUP_SITE_PREVIEW_HIDE = 'SIGNUP_SITE_PREVIEW_HIDE';
export const SIGNUP_STEPS_DESIGN_TYPE_SET = 'SIGNUP_STEPS_DESIGN_TYPE_SET';
export const SIGNUP_STEPS_SITE_GOALS_SET = 'SIGNUP_STEPS_SITE_GOALS_SET';
export const SIGNUP_STEPS_USER_EXPERIENCE_SET = 'SIGNUP_STEPS_USER_EXPERIENCE_SET';
export const SIGNUP_STEPS_SITE_INFORMATION_SET = 'SIGNUP_STEPS_SITE_INFORMATION_SET';
export const SIGNUP_STEPS_SITE_STYLE_SET = 'SIGNUP_STEPS_SITE_STYLE_SET';
export const SIGNUP_STEPS_SITE_TITLE_SET = 'SIGNUP_STEPS_SITE_TITLE_SET';
export const SIGNUP_STEPS_SITE_TOPIC_SET = 'SIGNUP_STEPS_SITE_TOPIC_SET';
export const SIGNUP_STEPS_SITE_TYPE_SET = 'SIGNUP_STEPS_SITE_TYPE_SET';
export const SIGNUP_STEPS_SURVEY_SET = 'SIGNUP_STEPS_SURVEY_SET';
export const SIGNUP_STEPS_SITE_VERTICAL_SET = 'SIGNUP_STEPS_SITE_VERTICAL_SET';
export const SIGNUP_VERTICALS_REQUEST = 'SIGNUP_VERTICALS_REQUEST';
export const SIGNUP_VERTICALS_SET = 'SIGNUP_VERTICALS_SET';
export const SIMPLE_PAYMENTS_PRODUCT_GET = 'SIMPLE_PAYMENTS_PRODUCT_GET';
export const SIMPLE_PAYMENTS_PRODUCT_RECEIVE = 'SIMPLE_PAYMENTS_PRODUCT_RECEIVE';
export const SIMPLE_PAYMENTS_PRODUCTS_LIST = 'SIMPLE_PAYMENTS_PRODUCTS_LIST';
export const SIMPLE_PAYMENTS_PRODUCTS_LIST_ADD = 'SIMPLE_PAYMENTS_PRODUCTS_LIST_ADD';
export const SIMPLE_PAYMENTS_PRODUCTS_LIST_EDIT = 'SIMPLE_PAYMENTS_PRODUCTS_LIST_EDIT';
export const SIMPLE_PAYMENTS_PRODUCTS_LIST_DELETE = 'SIMPLE_PAYMENTS_PRODUCTS_LIST_DELETE';
export const SIMPLE_PAYMENTS_PRODUCTS_LIST_RECEIVE = 'SIMPLE_PAYMENTS_PRODUCTS_LIST_RECEIVE';
export const SIMPLE_PAYMENTS_PRODUCTS_LIST_RECEIVE_UPDATE =
	'SIMPLE_PAYMENTS_PRODUCTS_LIST_RECEIVE_UPDATE';
export const SIMPLE_PAYMENTS_PRODUCTS_LIST_RECEIVE_DELETE =
	'SIMPLE_PAYMENTS_PRODUCTS_LIST_RECEIVE_DELETE';
export const SITES_BLOG_STICKER_ADD = 'SITES_BLOG_STICKER_ADD';
export const SITES_BLOG_STICKER_LIST = 'SITES_BLOG_STICKER_LIST';
export const SITES_BLOG_STICKER_LIST_RECEIVE = 'SITES_BLOG_STICKER_LIST_RECEIVE';
export const SITES_BLOG_STICKER_REMOVE = 'SITES_BLOG_STICKER_REMOVE';
export const SITES_RECEIVE = 'SITES_RECEIVE';
export const SITES_REQUEST = 'SITES_REQUEST';
export const SITES_REQUEST_FAILURE = 'SITES_REQUEST_FAILURE';
export const SITES_REQUEST_SUCCESS = 'SITES_REQUEST_SUCCESS';
export const SITE_ADDRESS_AVAILABILITY_REQUEST = 'SITE_ADDRESS_AVAILABILITY_REQUEST';
export const SITE_ADDRESS_AVAILABILITY_SUCCESS = 'SITE_ADDRESS_AVAILABILITY_SUCCESS';
export const SITE_ADDRESS_AVAILABILITY_ERROR = 'SITE_ADDRESS_AVAILABILITY_ERROR';
export const SITE_ADDRESS_AVAILABILITY_ERROR_CLEAR = 'SITE_ADDRESS_AVAILABILITY_ERROR_CLEAR';
export const SITE_ADDRESS_CHANGE_REQUEST = 'SITE_ADDRESS_CHANGE_REQUEST';
export const SITE_ADDRESS_CHANGE_REQUEST_FAILURE = 'SITE_ADDRESS_CHANGE_REQUEST_FAILURE';
export const SITE_ADDRESS_CHANGE_REQUEST_SUCCESS = 'SITE_ADDRESS_CHANGE_REQUEST_SUCCESS';
export const SITE_CHECKLIST_RECEIVE = 'SITE_CHECKLIST_RECEIVE';
export const SITE_CHECKLIST_REQUEST = 'SITE_CHECKLIST_REQUEST';
export const SITE_CHECKLIST_TASK_UPDATE = 'SITE_CHECKLIST_TASK_UPDATE';
export const SITE_CONNECTION_STATUS_RECEIVE = 'SITE_CONNECTION_STATUS_RECEIVE';
export const SITE_CONNECTION_STATUS_REQUEST = 'SITE_CONNECTION_STATUS_REQUEST';
export const SITE_CONNECTION_STATUS_REQUEST_FAILURE = 'SITE_CONNECTION_STATUS_REQUEST_FAILURE';
export const SITE_CONNECTION_STATUS_REQUEST_SUCCESS = 'SITE_CONNECTION_STATUS_REQUEST_SUCCESS';
export const SITE_DELETE = 'SITE_DELETE';
export const SITE_DELETE_FAILURE = 'SITE_DELETE_FAILURE';
export const SITE_DELETE_RECEIVE = 'SITE_DELETE_RECEIVE';
export const SITE_DELETE_SUCCESS = 'SITE_DELETE_SUCCESS';
export const SITE_DOMAINS_RECEIVE = 'SITE_DOMAINS_RECEIVE';
export const SITE_DOMAINS_REQUEST = 'SITE_DOMAINS_REQUEST';
export const SITE_DOMAINS_REQUEST_FAILURE = 'SITE_DOMAINS_REQUEST_FAILURE';
export const SITE_DOMAINS_REQUEST_SUCCESS = 'SITE_DOMAINS_REQUEST_SUCCESS';
export const SITE_FRONT_PAGE_UPDATE = 'SITE_FRONT_PAGE_UPDATE';
export const SITE_IMPORTER_IMPORT_FAILURE = 'SITE_IMPORTER_IMPORT_FAILURE';
export const SITE_IMPORTER_IMPORT_RESET = 'SITE_IMPORTER_IMPORT_RESET';
export const SITE_IMPORTER_IMPORT_START = 'SITE_IMPORTER_IMPORT_START';
export const SITE_IMPORTER_IMPORT_SUCCESS = 'SITE_IMPORTER_IMPORT_SUCCESS';
export const SITE_IMPORTER_IS_SITE_IMPORTABLE_FAILURE = 'SITE_IMPORTER_IS_SITE_IMPORTABLE_FAILURE';
export const SITE_IMPORTER_IS_SITE_IMPORTABLE_START = 'SITE_IMPORTER_IS_SITE_IMPORTABLE_START';
export const SITE_IMPORTER_IS_SITE_IMPORTABLE_SUCCESS = 'SITE_IMPORTER_IS_SITE_IMPORTABLE_SUCCESS';
export const SITE_IMPORTER_VALIDATION_ERROR_SET = 'SITE_IMPORTER_VALIDATION_ERROR_SET';
export const SITE_KEYRINGS_REQUEST = 'SITE_KEYRINGS_REQUEST';
export const SITE_KEYRINGS_REQUEST_FAILURE = 'SITE_KEYRINGS_REQUEST_FAILURE';
export const SITE_KEYRINGS_REQUEST_SUCCESS = 'SITE_KEYRINGS_REQUEST_SUCCESS';
export const SITE_KEYRINGS_SAVE = 'SITE_KEYRINGS_SAVE';
export const SITE_KEYRINGS_SAVE_FAILURE = 'SITE_KEYRINGS_SAVE_FAILURE';
export const SITE_KEYRINGS_SAVE_SUCCESS = 'SITE_KEYRINGS_SAVE_SUCCESS';
export const SITE_KEYRINGS_DELETE = 'SITE_KEYRINGS_DELETE';
export const SITE_KEYRINGS_DELETE_FAILURE = 'SITE_KEYRINGS_DELETE_FAILURE';
export const SITE_KEYRINGS_DELETE_SUCCESS = 'SITE_KEYRINGS_DELETE_SUCCESS';
export const SITE_KEYRINGS_UPDATE = 'SITE_KEYRINGS_UPDATE';
export const SITE_KEYRINGS_UPDATE_FAILURE = 'SITE_KEYRINGS_UPDATE_FAILURE';
export const SITE_KEYRINGS_UPDATE_SUCCESS = 'SITE_KEYRINGS_UPDATE_SUCCESS';
export const SITE_LAUNCH = 'SITE_LAUNCH';
export const SITE_MEDIA_STORAGE_RECEIVE = 'SITE_MEDIA_STORAGE_RECEIVE';
export const SITE_MEDIA_STORAGE_REQUEST = 'SITE_MEDIA_STORAGE_REQUEST';
export const SITE_MEDIA_STORAGE_REQUEST_FAILURE = 'SITE_MEDIA_STORAGE_REQUEST_FAILURE';
export const SITE_MEDIA_STORAGE_REQUEST_SUCCESS = 'SITE_MEDIA_STORAGE_REQUEST_SUCCESS';
export const SITE_MIGRATION_STATUS_UPDATE = 'SITE_MIGRATION_STATUS_UPDATE';
export const SITE_MONITOR_SETTINGS_RECEIVE = 'SITE_MONITOR_SETTINGS_RECEIVE';
export const SITE_MONITOR_SETTINGS_REQUEST = 'SITE_MONITOR_SETTINGS_REQUEST';
export const SITE_MONITOR_SETTINGS_REQUEST_FAILURE = 'SITE_MONITOR_SETTINGS_REQUEST_FAILURE';
export const SITE_MONITOR_SETTINGS_REQUEST_SUCCESS = 'SITE_MONITOR_SETTINGS_REQUEST_SUCCESS';
export const SITE_MONITOR_SETTINGS_UPDATE = 'SITE_MONITOR_SETTINGS_UPDATE';
export const SITE_MONITOR_SETTINGS_UPDATE_FAILURE = 'SITE_MONITOR_SETTINGS_UPDATE_FAILURE';
export const SITE_MONITOR_SETTINGS_UPDATE_SUCCESS = 'SITE_MONITOR_SETTINGS_UPDATE_SUCCESS';
export const SITE_PLANS_FETCH = 'SITE_PLANS_FETCH';
export const SITE_PLANS_FETCH_COMPLETED = 'SITE_PLANS_FETCH_COMPLETED';
export const SITE_PLANS_FETCH_FAILED = 'SITE_PLANS_FETCH_FAILED';
export const SITE_PLANS_REMOVE = 'SITE_PLANS_REMOVE';
export const SITE_PLANS_TRIAL_CANCEL = 'SITE_PLANS_TRIAL_CANCEL';
export const SITE_PLANS_TRIAL_CANCEL_COMPLETED = 'SITE_PLANS_TRIAL_CANCEL_COMPLETED';
export const SITE_PLANS_TRIAL_CANCEL_FAILED = 'SITE_PLANS_TRIAL_CANCEL_FAILED';
export const SITE_PLAN_OWNERSHIP_TRANSFER = 'SITE_PLAN_OWNERSHIP_TRANSFER';
export const SITE_PLUGIN_UPDATED = 'SITE_PLUGIN_UPDATED';
export const SITE_PRODUCTS_FETCH = 'SITE_PRODUCTS_FETCH';
export const SITE_PRODUCTS_FETCH_COMPLETED = 'SITE_PRODUCTS_FETCH_COMPLETED';
export const SITE_PRODUCTS_FETCH_FAILED = 'SITE_PRODUCTS_FETCH_FAILED';
export const SITE_PRODUCTS_REMOVE = 'SITE_PRODUCTS_REMOVE';
export const SITE_RECEIVE = 'SITE_RECEIVE';
export const SITE_REQUEST = 'SITE_REQUEST';
export const SITE_REQUEST_FAILURE = 'SITE_REQUEST_FAILURE';
export const SITE_REQUEST_SUCCESS = 'SITE_REQUEST_SUCCESS';
export const SITE_ROLES_RECEIVE = 'SITE_ROLES_RECEIVE';
export const SITE_ROLES_REQUEST = 'SITE_ROLES_REQUEST';
export const SITE_ROLES_REQUEST_FAILURE = 'SITE_ROLES_REQUEST_FAILURE';
export const SITE_ROLES_REQUEST_SUCCESS = 'SITE_ROLES_REQUEST_SUCCESS';
export const SITE_SETTINGS_RECEIVE = 'SITE_SETTINGS_RECEIVE';
export const SITE_SETTINGS_REQUEST = 'SITE_SETTINGS_REQUEST';
export const SITE_SETTINGS_REQUEST_FAILURE = 'SITE_SETTINGS_REQUEST_FAILURE';
export const SITE_SETTINGS_REQUEST_SUCCESS = 'SITE_SETTINGS_REQUEST_SUCCESS';
export const SITE_SETTINGS_SAVE = 'SITE_SETTINGS_SAVE';
export const SITE_SETTINGS_SAVE_FAILURE = 'SITE_SETTINGS_SAVE_FAILURE';
export const SITE_SETTINGS_SAVE_SUCCESS = 'SITE_SETTINGS_SAVE_SUCCESS';
export const SITE_SETTINGS_UPDATE = 'SITE_SETTINGS_UPDATE';
export const SITE_STATS_RECEIVE = 'SITE_STATS_RECEIVE';
export const SITE_STATS_REQUEST = 'SITE_STATS_REQUEST';
export const SITE_STATS_REQUEST_FAILURE = 'SITE_STATS_REQUEST_FAILURE';
export const SITE_VOUCHERS_ASSIGN_RECEIVE = 'SITE_VOUCHERS_ASSIGN_RECEIVE';
export const SITE_VOUCHERS_ASSIGN_REQUEST = 'SITE_VOUCHERS_ASSIGN_REQUEST';
export const SITE_VOUCHERS_ASSIGN_REQUEST_FAILURE = 'SITE_VOUCHERS_ASSIGN_REQUEST_FAILURE';
export const SITE_VOUCHERS_ASSIGN_REQUEST_SUCCESS = 'SITE_VOUCHERS_ASSIGN_REQUEST_SUCCESS';
export const SITE_VOUCHERS_RECEIVE = 'SITE_VOUCHERS_RECEIVE';
export const SITE_VOUCHERS_REQUEST = 'SITE_VOUCHERS_REQUEST';
export const SITE_VOUCHERS_REQUEST_FAILURE = 'SITE_VOUCHERS_REQUEST_FAILURE';
export const SITE_VOUCHERS_REQUEST_SUCCESS = 'SITE_VOUCHERS_REQUEST_SUCCESS';
export const SOCIAL_LOGIN_REQUEST = 'SOCIAL_LOGIN_REQUEST';
export const SOCIAL_LOGIN_REQUEST_SUCCESS = 'SOCIAL_LOGIN_REQUEST_SUCCESS';
export const SOCIAL_LOGIN_REQUEST_FAILURE = 'SOCIAL_LOGIN_REQUEST_FAILURE';
export const SOCIAL_CREATE_ACCOUNT_REQUEST = 'SOCIAL_CREATE_ACCOUNT_REQUEST';
export const SOCIAL_CREATE_ACCOUNT_REQUEST_SUCCESS = 'SOCIAL_CREATE_ACCOUNT_REQUEST_SUCCESS';
export const SOCIAL_CREATE_ACCOUNT_REQUEST_FAILURE = 'SOCIAL_CREATE_ACCOUNT_REQUEST_FAILURE';
export const SOCIAL_CONNECT_ACCOUNT_REQUEST = 'SOCIAL_CONNECT_ACCOUNT_REQUEST';
export const SOCIAL_CONNECT_ACCOUNT_REQUEST_SUCCESS = 'SOCIAL_CONNECT_ACCOUNT_REQUEST_SUCCESS';
export const SOCIAL_CONNECT_ACCOUNT_REQUEST_FAILURE = 'SOCIAL_CONNECT_ACCOUNT_REQUEST_FAILURE';
export const SOCIAL_DISCONNECT_ACCOUNT_REQUEST = 'SOCIAL_DISCONNECT_ACCOUNT_REQUEST';
export const SOCIAL_DISCONNECT_ACCOUNT_REQUEST_SUCCESS =
	'SOCIAL_DISCONNECT_ACCOUNT_REQUEST_SUCCESS';
export const SOCIAL_DISCONNECT_ACCOUNT_REQUEST_FAILURE =
	'SOCIAL_DISCONNECT_ACCOUNT_REQUEST_FAILURE';
export const ORDER_TRANSACTION_FETCH = 'ORDER_TRANSACTION_FETCH';
export const ORDER_TRANSACTION_SET = 'ORDER_TRANSACTION_SET';
export const ORDER_TRANSACTION_FETCH_ERROR = 'ORDER_TRANSACTION_FETCH_ERROR';
export const STATS_CHART_COUNTS_REQUEST = 'STATS_CHART_COUNTS_REQUEST';
export const STATS_CHART_COUNTS_RECEIVE = 'STATS_CHART_COUNTS_RECEIVE';
export const STATS_RECENT_POST_VIEWS_REQUEST = 'STATS_RECENT_POST_VIEWS_REQUEST';
export const STATS_RECENT_POST_VIEWS_RECEIVE = 'STATS_RECENT_POST_VIEWS_RECEIVE';
export const STORED_CARDS_ADD_COMPLETED = 'STORED_CARDS_ADD_COMPLETED';
export const STORED_CARDS_DELETE = 'STORED_CARDS_DELETE';
export const STORED_CARDS_DELETE_COMPLETED = 'STORED_CARDS_DELETE_COMPLETED';
export const STORED_CARDS_DELETE_FAILED = 'STORED_CARDS_DELETE_FAILED';
export const STORED_CARDS_FETCH = 'STORED_CARDS_FETCH';
export const STORED_CARDS_FETCH_COMPLETED = 'STORED_CARDS_FETCH_COMPLETED';
export const STORED_CARDS_FETCH_FAILED = 'STORED_CARDS_FETCH_FAILED';
export const SUPPORT_SESSION_TRANSITION = 'SUPPORT_SESSION_TRANSITION';
export const SUPPORT_ARTICLE_DIALOG_OPEN = 'SUPPORT_ARTICLE_DIALOG_OPEN';
export const SUPPORT_ARTICLE_DIALOG_CLOSE = 'SUPPORT_ARTICLE_DIALOG_CLOSE';
export const SUPPORT_ARTICLE_ALTERNATES_RECEIVE = 'SUPPORT_ARTICLE_ALTERNATES_RECEIVE';
export const SUPPORT_ARTICLE_ALTERNATES_REQUEST = 'SUPPORT_ARTICLE_ALTERNATES_REQUEST';
export const SUPPORT_ARTICLE_ALTERNATES_REQUEST_SUCCESS =
	'SUPPORT_ARTICLE_ALTERNATES_REQUEST_SUCCESS';
export const SUPPORT_ARTICLE_ALTERNATES_REQUEST_FAILURE =
	'SUPPORT_ARTICLE_ALTERNATES_REQUEST_FAILURE';
export const SUPPORT_HISTORY_REQUEST = 'SUPPORT_HISTORY_REQUEST';
export const SUPPORT_HISTORY_SET = 'SUPPORT_HISTORY_SET';
export const SUPPORT_LEVEL_SET = 'SUPPORT_LEVEL_SET';
export const TERMS_RECEIVE = 'TERMS_RECEIVE';
export const TERMS_REQUEST = 'TERMS_REQUEST';
export const TERMS_REQUEST_FAILURE = 'TERMS_REQUEST_FAILURE';
export const TERMS_REQUEST_SUCCESS = 'TERMS_REQUEST_SUCCESS';
export const TERM_REMOVE = 'TERM_REMOVE';
export const TIMEZONES_RECEIVE = 'TIMEZONES_RECEIVE';
export const TIMEZONES_REQUEST = 'TIMEZONES_REQUEST';
export const TOS_ACCEPT = 'TOS_ACCEPT';
export const TWO_FACTOR_AUTHENTICATION_LOGIN_REQUEST = 'TWO_FACTOR_AUTHENTICATION_LOGIN_REQUEST';
export const TWO_FACTOR_AUTHENTICATION_LOGIN_REQUEST_FAILURE =
	'TWO_FACTOR_AUTHENTICATION_LOGIN_REQUEST_FAILURE';
export const TWO_FACTOR_AUTHENTICATION_LOGIN_REQUEST_SUCCESS =
	'TWO_FACTOR_AUTHENTICATION_LOGIN_REQUEST_SUCCESS';
export const TWO_FACTOR_AUTHENTICATION_PUSH_POLL_COMPLETED =
	'TWO_FACTOR_AUTHENTICATION_PUSH_POLL_COMPLETED';
export const TWO_FACTOR_AUTHENTICATION_PUSH_POLL_START =
	'TWO_FACTOR_AUTHENTICATION_PUSH_POLL_START';
export const TWO_FACTOR_AUTHENTICATION_PUSH_POLL_STOP = 'TWO_FACTOR_AUTHENTICATION_PUSH_POLL_STOP';
export const TWO_FACTOR_AUTHENTICATION_SEND_SMS_CODE_REQUEST =
	'TWO_FACTOR_AUTHENTICATION_SEND_SMS_CODE_REQUEST';
export const TWO_FACTOR_AUTHENTICATION_SEND_SMS_CODE_REQUEST_FAILURE =
	'TWO_FACTOR_AUTHENTICATION_SEND_SMS_CODE_REQUEST_FAILURE';
export const TWO_FACTOR_AUTHENTICATION_SEND_SMS_CODE_REQUEST_SUCCESS =
	'TWO_FACTOR_AUTHENTICATION_SEND_SMS_CODE_REQUEST_SUCCESS';
export const TWO_FACTOR_AUTHENTICATION_UPDATE_NONCE = 'TWO_FACTOR_AUTHENTICATION_UPDATE_NONCE';
export const USER_DEVICES_ADD = 'USER_DEVICES_ADD';
export const USER_DEVICES_REQUEST = 'USER_DEVICES_REQUEST';
export const USER_PROFILE_LINKS_ADD = 'USER_PROFILE_LINKS_ADD';
export const USER_PROFILE_LINKS_ADD_DUPLICATE = 'USER_PROFILE_LINKS_ADD_DUPLICATE';
export const USER_PROFILE_LINKS_ADD_FAILURE = 'USER_PROFILE_LINKS_ADD_FAILURE';
export const USER_PROFILE_LINKS_ADD_MALFORMED = 'USER_PROFILE_LINKS_ADD_MALFORMED';
export const USER_PROFILE_LINKS_ADD_SUCCESS = 'USER_PROFILE_LINKS_ADD_SUCCESS';
export const USER_PROFILE_LINKS_DELETE = 'USER_PROFILE_LINKS_DELETE';
export const USER_PROFILE_LINKS_DELETE_FAILURE = 'USER_PROFILE_LINKS_DELETE_FAILURE';
export const USER_PROFILE_LINKS_DELETE_SUCCESS = 'USER_PROFILE_LINKS_DELETE_SUCCESS';
export const USER_PROFILE_LINKS_RECEIVE = 'USER_PROFILE_LINKS_RECEIVE';
export const USER_PROFILE_LINKS_REQUEST = 'USER_PROFILE_LINKS_REQUEST';
export const USER_PROFILE_LINKS_RESET_ERRORS = 'USER_PROFILE_LINKS_RESET_ERRORS';
export const CURRENT_USER_RECEIVE = 'CURRENT_USER_RECEIVE';
export const POST_REVISION_AUTHORS_RECEIVE = 'POST_REVISION_AUTHORS_RECEIVE';
export const POST_REVISIONS_AUTHORS_REQUEST = 'POST_REVISIONS_AUTHORS_REQUEST';
export const USER_SETTINGS_REQUEST = 'USER_SETTINGS_REQUEST';
export const USER_SETTINGS_SAVE = 'USER_SETTINGS_SAVE';
export const USER_SETTINGS_UNSAVED_CLEAR = 'USER_SETTINGS_UNSAVED_CLEAR';
export const USER_SETTINGS_UNSAVED_REMOVE = 'USER_SETTINGS_UNSAVED_REMOVE';
export const USER_SETTINGS_UNSAVED_SET = 'USER_SETTINGS_UNSAVED_SET';
export const USER_SETTINGS_UPDATE = 'USER_SETTINGS_UPDATE';
export const USER_SUGGESTIONS_RECEIVE = 'USER_SUGGESTIONS_RECEIVE';
export const USER_SUGGESTIONS_REQUEST = 'USER_SUGGESTIONS_REQUEST';
export const USER_SUGGESTIONS_REQUEST_FAILURE = 'USER_SUGGESTIONS_REQUEST_FAILURE';
export const USER_SUGGESTIONS_REQUEST_SUCCESS = 'USER_SUGGESTIONS_REQUEST_SUCCESS';
export const VIDEO_EDITOR_SET_POSTER_URL = 'VIDEO_EDITOR_SET_POSTER_URL';
export const VIDEO_EDITOR_SHOW_ERROR = 'VIDEO_EDITOR_SHOW_ERROR';
export const VIDEO_EDITOR_SHOW_UPLOAD_PROGRESS = 'VIDEO_EDITOR_SHOW_UPLOAD_PROGRESS';
export const VIDEO_EDITOR_UPDATE_POSTER = 'VIDEO_EDITOR_UPDATE_POSTER';
export const WORDADS_SITE_APPROVE_REQUEST = 'WORDADS_SITE_APPROVE_REQUEST';
export const WORDADS_SITE_APPROVE_REQUEST_DISMISS_ERROR =
	'WORDADS_SITE_APPROVE_REQUEST_DISMISS_ERROR';
export const WORDADS_SITE_APPROVE_REQUEST_DISMISS_SUCCESS =
	'WORDADS_SITE_APPROVE_REQUEST_DISMISS_SUCCESS';
export const WORDADS_SITE_APPROVE_REQUEST_FAILURE = 'WORDADS_SITE_APPROVE_REQUEST_FAILURE';
export const WORDADS_SITE_APPROVE_REQUEST_SUCCESS = 'WORDADS_SITE_APPROVE_REQUEST_SUCCESS';
export const WORDADS_STATUS_REQUEST = 'WORDADS_STATUS_REQUEST';
export const WORDADS_STATUS_RECEIVE = 'WORDADS_STATUS_RECEIVE';
export const WORDADS_EARNINGS_REQUEST = 'WORDADS_EARNINGS_REQUEST';
export const WORDADS_EARNINGS_RECEIVE = 'WORDADS_EARNINGS_RECEIVE';
export const WORDADS_SETTINGS_RECEIVE = 'WORDADS_SETTINGS_RECEIVE';
export const WORDADS_SETTINGS_REQUEST = 'WORDADS_SETTINGS_REQUEST';
export const WORDADS_SETTINGS_SAVE = 'WORDADS_SETTINGS_SAVE';
export const WORDADS_SETTINGS_SAVE_FAILURE = 'WORDADS_SETTINGS_SAVE_FAILURE';
export const WORDADS_SETTINGS_SAVE_SUCCESS = 'WORDADS_SETTINGS_SAVE_SUCCESS';
export const WORDADS_SETTINGS_UPDATE = 'WORDADS_SETTINGS_UPDATE';
export const WPCOM_HTTP_REQUEST = 'WPCOM_HTTP_REQUEST';
export const WPORG_PLUGIN_DATA_RECEIVE = 'WPORG_PLUGIN_DATA_RECEIVE';
